This manual is for GNU Autoconf Archive version 2023.02.20, a collection
of freely re-usable Autoconf macros.

Copyright (C) 2022 Autoconf Archive Maintainers
<autoconf-archive-maintainers@gnu.org>

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.3 or
any later version published by the Free Software Foundation; with no
Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.  A
copy of the license is included in the section entitled "GNU Free
Documentation License".

ax_generate_changelog
=====================

Synopsis
********

     AX_GENERATE_CHANGELOG()

Description
***********

Builds a rule for generating a ChangeLog file from version control
system commit messages.  Currently, the only supported VCS is git, but
support for others could be added in future.

Defines GENERATE_CHANGELOG_RULES which should be substituted in your
Makefile.

Usage example:

configure.ac:

       AX_GENERATE_CHANGELOG

Makefile.am:

       @GENERATE_CHANGELOG_RULES@
       CHANGELOG_START = 0.2.3^
       dist-hook: dist-ChangeLog

ChangeLog (stub committed to VCS):

       The ChangeLog is auto-generated when releasing.
       If you are seeing this, use 'git log' for a detailed list of changes.

This results in a "dist-ChangeLog" rule being added to the Makefile.
When run, "dist-ChangeLog" will generate a ChangeLog in the
$(top_distdir), using $(CHANGELOG_GIT_FLAGS) to format the output from
"git log" being run in $(CHANGELOG_GIT_DIR).

Unless Automake is initialised with the 'foreign' option, a dummy
ChangeLog file must be committed to VCS in $(top_srcdir), containing the
text above (for example).  It will be substituted by the automatically
generated ChangeLog during "make dist".

Source Code
***********

Download the latest version of 'ax_generate_changelog.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_generate_changelog.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_generate_changelog.m4).

License
*******

Copyright (C) 2015 David King <amigadave@amigadave.com>
Copyright (C) 2015 Philip Withnall <philip.withnall@collabora.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_gnu_autotest
===============

Synopsis
********

     AX_GNU_AUTOTEST([testdir = `tests'], [testsuites = `testsuite'],
                     [atlocal-sources = `'], [gen-package = `yes'],
                     [force = `no'])

Description
***********

Sets up one or multiple GNU Autotest test suites [1].

TL;DR:

       * Write tests/testsuite.at as normal
       * Add to configure.ac: AX_GNU_AUTOTEST
       * Add to Makefile.am or Makefile.in in top_srcdir:
         @AX_GNU_AUTOTEST_DEFAULT@
       * autoreconf && ./configure && make check

GNU Autotest is a very powerful testing framework to script executing
binaries, observing their output and logging failures, all in the same
portable manner as configure itself.  But the only help given the
developer in setting up the framework is the AC_CONFIG_TESTDIR()
command, which leaves several additional steps up to the developer
copying examples from the manual:

       * generating the "package.m4" file used in generating the "testsuite"
       * generating the "testsuite" executable by calling autom4te
       * adding Makefile rules to keep both "package.m4" and "testsuite"
         current
       * figuring out how to do all the above if the Makefile does not reside
         in the testdir

This command takes care of all of the above.  It is designed to be
called multiple times for different testdir directories, to have
multiple testsuites scripts per directory and to handle the optional
"package.m4" and "atlocal" (re)generation.

The various actions taken by this command happen in different phases of
the build process:

       1) During the autoconf execution, generate the testsuites and any
          "package.m4" files. So these are already available before configure
          ran. The reasoning for deviating from the examples in [1] is that
          these files are distributed and must be placed in the srcdir: it
          seems cleaner to not generate anything in srcdir during any of the
          later phases.
       2) During the config.status execution (following the configure
          execution), generate "atconfig" and any "atlocal" files in the
          buildir. The "atconfig" generation is handled by calling
          AC_CONFIG_TESTDIR() so the developer does not have to do so
          themselves.
       3) During the execution of make, several additional rules and file
          lists are made available via AC_SUBST(). The rules are intended
          to be called where appropriate (e.g. make check can depend on
          check-autotest) and the file lists are intended to be added
          to the appropriate lists (i.e. to DISTCLEANFILES and EXTRA_DIST).

Description of AX_GNU_AUTOTEST() arguments:

       * testdir: directory-name containing the testsuites. AX_GNU_AUTOTEST()
         must be called exactly once for each directory containing testsuites.
         If empty, defaults to "tests".
       * testsuites: space-separated list of words, where each word is the
         name of a test suite script optionally followed by a colon and the
         name of the scripts source file. If the source file is not given,
         it defaults to the script name suffixed by ".at". So these words
         are all equivalent: "foo", "foo:" and "foo:foo.at". If the argument
         is empty, it defaults to "testsuite". The script filenames must not
         contain any path, but that is allowed for the source filenames.
       * atlocal-sources: space- or colon-separated list of filenames, which
         are registered with AC_CONFIG_FILES() as the sources of atlocal.
         If empty, no atlocal file is generated.
       * gen-package: boolean ("yes" or "no") indicating whether "package.m4"
         should be generated. If empty, defaults to "yes".
       * force: boolean ("yes" or "no") whether to treat errors in arguments
         as errors and abort (for "no") or whether to ignore any such errors
         (for "yes"). If empty, defaults to "no".

All filenames above must be relative.  The testdir name is interpreted
relative to top_srcdir.  All other names are interpreted relative to the
testdir.  The boolean values are interpreted as "yes" for any non-empty
value except "0", "n", "no" and their mixed-case variants.

Description of Makefile.am / Makefile.in substitutions:

       * AX_GNU_AUTOTEST_RULES: the make rules provided here. Substitute this
         in a separate line.
       * AX_GNU_AUTOTEST_DCLEAN: the list of files to be added to
         DISTCLEANFILES.
       * AX_GNU_AUTOTEST_DIST: the list of files to be added to EXTRA_DIST.
       * AX_GNU_AUTOTEST_DEFAULT: includes all other substitutions and uses
         them in a "default" way.

All must be used as a substitution (@...@) instead of as a variable
($(...)  or ${...}).  These substitutions are generated multiple times,
once for each directory where an affected Makefile may be located.  All
substitutions start with the base as given above but may have suffixes
for the directories.  Assuming this example in configure.ac:

       AX_GNU_AUTOTEST([foo/bar])
       AX_GNU_AUTOTEST([baz])

Then the following substitutions are available (where <base> stands for
one of the above prefixes):

       * <base>         : for use in top_srcdir/Makefile
       * <base>_foo     : for use in top_srcdir/foo/Makefile
       * <base>_foo_bar : for use in top_srcdir/foo/bar/Makefile
       * <base>_baz     : for use in top_srcdir/baz/Makefile

The <base> substitutions cover both foo/bar and baz, so none of the
other substitutions should be used.  Indeed, no Makefiles are needed in
the other directories.  But if sub-directory Makefiles are used, then
both <base>_baz and either of <base>_foo or <base>_foo_bar must be used
in their respective Makefiles.

Description of Makefile targets defined by AX_GNU_AUTOTEST_RULES*:

       * check-autotest: The equivalent of check.
       * installcheck-autotest: The equivalent of installcheck.
       * clean-autotest: The equivalent of clean.

The developer can either define the above targets as dependencies of
their appropriate equivalent rule or of their *-local equivalent rule
for automake or they can define a rule with a sub-make call as they
wish.

All rules are dependent on like-named rules for each sub-directory and
for each testsuite.  Only the testsuite rules actually do any work, the
rest are just collectors and convenience names.  Assuming this example
in configure.ac:

       AX_GNU_AUTOTEST([foo], [testsuite bar])
       AX_GNU_AUTOTEST([baz])

Then AX_GNU_AUTOTEST_RULES defines these check rules (likewise for
installcheck and clean):

       check-autotest: check-autotest-foo check-autotest-baz
       check-autotest-foo: check-autotest-foo-testsuite check-autotest-foo-bar
       check-autotest-baz: check-autotest-baz-testsuite
       check-autotest-foo-testsuite  # Executes foo/testsuite -C foo
       check-autotest-foo-bar        # Executes foo/bar -C foo
       check-autotest-baz-testsuite  # Executes baz/testsuite -C baz

And AX_GNU_AUTOTEST_RULES_baz defines these check rules:

       check-autotest: check-autotest-testsuite
       check-autotest-testsuite  # Executes testsuite (which is baz/testsuite)

Note how the rule names only contain the directory and testsuite paths
relative to the Makefile location.  Also note how each testsuite is
executed in its respective testdir.

In addition to the above, AX_GNU_AUTOTEST_RULES* also contains the rules
to keep the testsuites, "package.m4" and "atconfig" updated.  The
matching rules to keep "atlocal" updated are generated by automake if
that is used or are the responsibility of the developer.

All testsuite executions (except for clean) use variables
AX_GNU_AUTOTEST_FLAGS, AX_GNU_AUTOTEST_CHECK_FLAGS,
AX_GNU_AUTOTEST_INSTALLCHECK_FLAGS and more path-and-script-specific
variants for additional command line options.  These variables can be
defined by the developer to pass options to the testsuite.  In the
example above, the rule check-autotest-foo-bar would look like this:

       check-autotest-foo-bar:
           foo/bar -C foo $(AX_GNU_AUTOTEST_FLAGS)               \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS)         \
                          $(AX_GNU_AUTOTEST_FLAGS_foo)           \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS_foo)     \
                          $(AX_GNU_AUTOTEST_FLAGS_foo_bar)       \
                          $(AX_GNU_AUTOTEST_CHECK_FLAGS_foo_bar)

Description of Makefile file lists:

These lists are intended to be added to DISTCLEANFILES and EXTRA_DIST.
The *_DCLEAN list contains all "atconfig" files and the *_DIST list
contains all testsuites and "package.m4" files.  The lists are again
generated per directory: so AX_GNU_AUTOTEST_DCLEAN contains all
"atconfig" files while e.g.  AX_GNU_AUTOTEST_DIST_foo contains only
files below the "foo" directory.  These file lists are prevented from
becoming Makefile variables by calling AM_SUBST_NOTMAKE(): that way,
only the single version used by the Makefile is substituted, not all
lists for all other paths as well.  So use either like this:

       DISTCLEANFILES = @AX_GNU_AUTOTEST_DCLEAN@
       EXTRA_DIST = @AX_GNU_AUTOTEST_DIST_foo@

Or like this:

       AX_GNU_AUTOTEST_DCLEAN_foo = @AX_GNU_AUTOTEST_DCLEAN_foo@
       AX_GNU_AUTOTEST_DIST_foo = @AX_GNU_AUTOTEST_DIST_foo@
       DISTCLEANFILES = ${AX_GNU_AUTOTEST_DCLEAN_foo}
       EXTRA_DIST = ${AX_GNU_AUTOTEST_DIST_foo}

Description of shorthand default Makefile contents defined by
AX_GNU_AUTOTEST_DEFAULT*:

This shorthand defines the appropriate rules, adds the file lists to the
proper variables and makes the new targets dependencies of the standard
"check", "installcheck" and "clean" targets.  AX_GNU_AUTOTEST_DEFAULT is
for example equivalent to:

       @AX_GNU_AUTOTEST_RULES@
       check: check-autotest
       installcheck: installcheck-autotest
       clean: clean-autotest
       distclean: distclean-autotest
       distclean-autotest: clean-autotest
           -rm -f @AX_GNU_AUTOTEST_DCLEAN@
       .PHONY: distclean-autotest
       EXTRA_DIST += @AX_GNU_AUTOTEST_DIST@

Note that this is copied verbatim into the Makefile (after expansion of
the contained @...@ substitutions): it does not shadow the default
targets as would happen if the same lines were written in a Makefile.am
file.  And also note the use of the += operator: this will not be
compatible with all versions of Make.  Finally, the DISTCLEANFILES list
is not used because automake only uses that list if it saw the variable
in the Makefile.am file: in a substitution, it gets ignored unless the
user already used the list.

Alternative standard GNU test suites not supported here:

       * Automake test suites configured by the TESTS variable [2]
       * DejaGnu test suites [3,4]

[1]:
<https://www.gnu.org/software/autoconf/manual/html_node/Using-Autotest.html>

[2]: <https://www.gnu.org/software/automake/manual/html_node/Tests.html>

[3]: <https://www.gnu.org/software/dejagnu/>

[4]:
<https://www.gnu.org/software/automake/manual/html_node/DejaGnu-Tests.html>

Source Code
***********

Download the latest version of 'ax_gnu_autotest.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_gnu_autotest.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_gnu_autotest.m4).

License
*******

Copyright (C) 2015 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_adns
============

Synopsis
********

     AX_HAVE_ADNS([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Check whether the GNU ADNS library available from
http://www.chiark.greenend.org.uk/~ian/adns/ is installed on this
system.  The test is known to work with version 1.4 (or later).  If the
library is found, the flags necessary to link it are added to $LIBS.

Source Code
***********

Download the latest version of 'ax_have_adns.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_adns.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_adns.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_epoll
=============

Synopsis
********

     AX_HAVE_EPOLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_EPOLL_PWAIT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the epoll I/O event
interface.  A neat usage example would be:

       AX_HAVE_EPOLL(
         [AX_CONFIG_FEATURE_ENABLE(epoll)],
         [AX_CONFIG_FEATURE_DISABLE(epoll)])
       AX_CONFIG_FEATURE(
         [epoll], [This platform supports epoll(7)],
         [HAVE_EPOLL], [This platform supports epoll(7).])

The epoll interface was added to the Linux kernel in version 2.5.45, and
the macro verifies that a kernel newer than this is installed.  This
check is somewhat unreliable if <linux/version.h> doesn't match the
running kernel, but it is necessary regardless, because glibc comes with
stubs for the epoll_create(), epoll_wait(), etc.  that allow programs to
compile and link even if the kernel is too old; the problem would then
be detected only at runtime.

Linux kernel version 2.6.19 adds the epoll_pwait() call in addition to
epoll_wait().  The availability of that function can be tested with the
second macro.  Generally speaking, it is safe to assume that
AX_HAVE_EPOLL would succeed if AX_HAVE_EPOLL_PWAIT has, but not the
other way round.

Source Code
***********

Download the latest version of 'ax_have_epoll.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_epoll.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_epoll.m4).

License
*******

Copyright (C) 2008 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_poll
============

Synopsis
********

     AX_HAVE_POLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_PPOLL([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the poll I/O event
interface.  A neat usage example would be:

       AX_HAVE_POLL(
         [AX_CONFIG_FEATURE_ENABLE(poll)],
         [AX_CONFIG_FEATURE_DISABLE(poll)])
       AX_CONFIG_FEATURE(
         [poll], [This platform supports poll(7)],
         [HAVE_POLL], [This platform supports poll(7).])

Some systems - most notably Linux kernel 2.6.16 and later - also have
the variant ppoll().  The availability of that function can be tested
with the second macro.  Generally speaking, it is safe to assume that
AX_HAVE_POLL would succeed if AX_HAVE_PPOLL has, but not the other way
round.

Source Code
***********

Download the latest version of 'ax_have_poll.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_poll.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_poll.m4).

License
*******

Copyright (C) 2009 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_qt
==========

Synopsis
********

     AX_HAVE_QT

Description
***********

Searches $PATH and queries qmake for Qt include files, libraries and Qt
binary utilities.  The macro only supports Qt5 or later.

The following shell variable is set to either "yes" or "no":

       have_qt

Additionally, the following variables are exported:

       QT_CXXFLAGS
       QT_LIBS
       QT_MOC
       QT_UIC
       QT_RCC
       QT_LRELEASE
       QT_LUPDATE
       QT_DIR
       QMAKE

which respectively contain an "-I" flag pointing to the Qt include
directory, link flags necessary to link with Qt and X, the full path to
the meta object compiler and the user interface compiler both, and
finally the variable QTDIR as Qt likes to see it defined.

Example lines for Makefile.in:

       CXXFLAGS = @QT_CXXFLAGS@
       MOC      = @QT_MOC@

After the variables have been set, a trial compile and link is performed
to check the correct functioning of the meta object compiler.  This test
may fail when the different detected elements stem from different
releases of the Qt framework.  In that case, an error message is emitted
and configure stops.

No common variables such as $LIBS or $CFLAGS are polluted.

Source Code
***********

Download the latest version of 'ax_have_qt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_qt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_qt.m4).

License
*******

Copyright (C) 2008 Bastiaan Veelo <Bastiaan@Veelo.net>
Copyright (C) 2014 Alex Henrie <alexhenrie24@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_have_select
==============

Synopsis
********

     AX_HAVE_SELECT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])
     AX_HAVE_PSELECT([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro determines whether the system supports the select I/O event
interface.  A neat usage example would be:

       AX_HAVE_SELECT(
         [AX_CONFIG_FEATURE_ENABLE(select)],
         [AX_CONFIG_FEATURE_DISABLE(select)])
       AX_CONFIG_FEATURE(
         [select], [This platform supports select(7)],
         [HAVE_SELECT], [This platform supports select(7).])

Some systems also have the variant pselect().  The availability of that
function can be tested with the second macro.  Generally speaking, it is
safe to assume that AX_HAVE_SELECT would succeed if AX_HAVE_SELECT_PWAIT
has, but not the other way round.

Source Code
***********

Download the latest version of 'ax_have_select.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_have_select.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_have_select.m4).

License
*******

Copyright (C) 2009 Peter Simons <simons@cryp.to>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_include_strcasecmp
=====================

Synopsis
********

     AX_INCLUDE_STRCASECMP

Description
***********

This macro tries to find a header for strcasecmp() in strings.h, then
string.h, and AC_DEFINEs AX_STRCASECMP_HEADER to the value it found.
Use it in your source like so:

       #ifdef AX_STRCASECMP_HEADER
       #include AX_STRCASECMP_HEADER
       #endif

Source Code
***********

Download the latest version of 'ax_include_strcasecmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_include_strcasecmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_include_strcasecmp.m4).

License
*******

Copyright (C) 2012 Leo Davis <ldavis@speechfxinc.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_install_files
================

Synopsis
********

     AX_INSTALL_FILES

Description
***********

Adds target for creating a install_files file, which contains the list
of files that will be installed.

Source Code
***********

Download the latest version of 'ax_install_files.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_install_files.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_install_files.m4).

License
*******

Copyright (C) 2009 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_int128
=========

Synopsis
********

     AX_HAVE_INT128

Description
***********

Check whether the compiler provides __int128.  If so, define
HAVE_INT128.

Works with GCC >= 4.6.

TODO: Provide int128[u]_t & work with other compilers.

Source Code
***********

Download the latest version of 'ax_int128.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_int128.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_int128.m4).

License
*******

Copyright (C) 2019 Reuben Thomas <rrt@sc3d.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_is_release
=============

Synopsis
********

     AX_IS_RELEASE(POLICY)

Description
***********

Determine whether the code is being configured as a release, or from
git.  Set the ax_is_release variable to 'yes' or 'no'.

If building a release version, it is recommended that the configure
script disable compiler errors and debug features, by conditionalising
them on the ax_is_release variable.  If building from git, these
features should be enabled.

The POLICY parameter specifies how ax_is_release is determined.  It can
take the following values:

      * git-directory:  ax_is_release will be 'no' if a '.git'
                        directory or git worktree exists
      * minor-version:  ax_is_release will be 'no' if the minor version number
                        in $PACKAGE_VERSION is odd; this assumes
                        $PACKAGE_VERSION follows the 'major.minor.micro' scheme
      * micro-version:  ax_is_release will be 'no' if the micro version number
                        in $PACKAGE_VERSION is odd; this assumes
                        $PACKAGE_VERSION follows the 'major.minor.micro' scheme
      * dash-version:   ax_is_release will be 'no' if there is a dash '-'
                        in $PACKAGE_VERSION, for example 1.2-pre3, 1.2.42-a8b9
                        or 2.0-dirty (in particular this is suitable for use
                        with git-version-gen)
      * always:         ax_is_release will always be 'yes'
      * never:          ax_is_release will always be 'no'

Other policies may be added in future.

Source Code
***********

Download the latest version of 'ax_is_release.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_is_release.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_is_release.m4).

License
*******

Copyright (C) 2015 Philip Withnall <philip@tecnocode.co.uk>
Copyright (C) 2016 Collabora Ltd.

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.

ax_java_check_class
===================

Synopsis
********

     AX_JAVA_CHECK_CLASS(<class>,<action-if-found>,<action-if-not-found>)

Description
***********

Test if a Java class is available.  Based on AX_PROG_JAVAC_WORKS. This
version uses a cache variable which is both compiler, options and
classpath dependent (so if you switch from javac to gcj it correctly
notices and redoes the test).

The macro tries to compile a minimal program importing <class>.  Some
newer compilers moan about the failure to use this but fail or produce a
class file anyway.  All moaning is sunk to /dev/null since I only wanted
to know if the class could be imported.  This is a recommended followup
to AX_CHECK_JAVA_PLUGIN with classpath appropriately adjusted.

Source Code
***********

Download the latest version of 'ax_java_check_class.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_java_check_class.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_java_check_class.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_java_options
===============

Synopsis
********

     AX_JAVA_OPTIONS

Description
***********

AX_JAVA_OPTIONS adds configure command line options used for Java m4
macros.  This Macro is optional.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_java_options.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_java_options.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_java_options.m4).

License
*******

Copyright (C) 2008 Devin Weaver <ktohg@tritarget.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_jni_include_dir
==================

Synopsis
********

     AX_JNI_INCLUDE_DIR

Description
***********

AX_JNI_INCLUDE_DIR finds include directories needed for compiling
programs using the JNI interface.

JNI include directories are usually in the Java distribution.  This is
deduced from the value of $JAVA_HOME, $JAVAC, or the path to "javac", in
that order.  When this macro completes, a list of directories is left in
the variable JNI_INCLUDE_DIRS.

Example usage follows:

       AX_JNI_INCLUDE_DIR

       for JNI_INCLUDE_DIR in $JNI_INCLUDE_DIRS
       do
               CPPFLAGS="$CPPFLAGS -I$JNI_INCLUDE_DIR"
       done

If you want to force a specific compiler:

- at the configure.in level, set JAVAC=yourcompiler before calling
AX_JNI_INCLUDE_DIR

- at the configure level, setenv JAVAC

This macro depends on AC_CANONICAL_HOST which requires that config.guess
and config.sub be distributed along with the source code.  See autoconf
manual for details.

Note: This macro can work with the autoconf M4 macros for Java programs.
This particular macro is not part of the original set of macros.

Source Code
***********

Download the latest version of 'ax_jni_include_dir.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_jni_include_dir.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_jni_include_dir.m4).

License
*******

Copyright (C) 2008 Don Anderson <dda@sleepycat.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lapack
=========

Synopsis
********

     AX_LAPACK([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro looks for a library that implements the LAPACK linear-algebra
interface (see http://www.netlib.org/lapack/).  On success, it sets the
LAPACK_LIBS output variable to hold the requisite library linkages.

To link with LAPACK, you should link with:

       $LAPACK_LIBS $BLAS_LIBS $LIBS $FLIBS

in that order.  BLAS_LIBS is the output variable of the AX_BLAS macro,
called automatically.  FLIBS is the output variable of the
AC_F77_LIBRARY_LDFLAGS macro (called if necessary by AX_BLAS), and is
sometimes necessary in order to link with F77 libraries.  Users will
also need to use AC_F77_DUMMY_MAIN (see the autoconf manual), for the
same reason.

The user may also use -with-lapack=<lib> in order to use some specific
LAPACK library <lib>.  In order to link successfully, however, be aware
that you will probably need to use the same Fortran compiler (which can
be set via the F77 env.  var.)  as was used to compile the LAPACK and
BLAS libraries.

ACTION-IF-FOUND is a list of shell commands to run if a LAPACK library
is found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it
is not found.  If ACTION-IF-FOUND is not specified, the default action
will define HAVE_LAPACK.

Source Code
***********

Download the latest version of 'ax_lapack.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lapack.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lapack.m4).

License
*******

Copyright (C) 2009 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2019 Geoffrey M. Oxberry <goxberry@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_beecrypt
===============

Synopsis
********

     AX_LIB_BEECRYPT([yes|no|auto])

Description
***********

Searches for the 'beecrypt' library with the -with...  option.

If found, define HAVE_BEECRYPT and macro BEECRYPT_LIBS. Also defines
BEECRYPT_WITH_<algo> for the algorithms found available.  Possible
algorithms: BASE64 AES BF MD5 SHA1 SHA256 SHA384 SHA512.

The argument is used if no -with...-beecrypt option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_CRYPTO and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_beecrypt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_beecrypt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_beecrypt.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_cgal_core
================

Synopsis
********

     AX_LIB_CGAL_CORE([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the CGAL_Core library.

By using the "-with-cgal=" option, define a special installation
directory.  If CGAL is not found there, the script will fail
immediately.  Otherwise, $CGAL_HOME is searched, then standard system
locations.

NOTE: This script depends on BOOST_CPPFLAGS, so be sure to run
AX_BOOST_BASE in advance.

This macro calls:

       AC_SUBST(CGAL_CPPFLAGS)
       AC_SUBST(CGAL_LDFLAGS)

And sets:

       HAVE_CGAL

Source Code
***********

Download the latest version of 'ax_lib_cgal_core.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_cgal_core.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_cgal_core.m4).

License
*******

Copyright (C) 2010 Sebastian Hegler <sebastian.hegler@tu-dresden.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_crypto
=============

Synopsis
********

     AX_LIB_CRYPTO([yes|no|auto])

Description
***********

Searches for the 'crypto' library with the -with...  option.

If found, define HAVE_CRYPTO and macro CRYPTO_LIBS. Also defines
CRYPTO_WITH_<algo> for the algorithms found available.  Possible
algorithms: AES BF CAMELLIA CAST DES IDEA RC2 RC5 MD2 MD4 MD5 SHA RIPEMD
RSA DSA DH

The argument is used if no -with...-crypto option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_crypto.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_crypto.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_crypto.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_curl
===========

Synopsis
********

     AX_LIB_CURL([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum curl library version VERSION. If successful executes
ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines CURL_LIBS and CURL_CFLAGS.

A simple example:

       AX_LIB_CURL([7.19.4],,[
         AC_MSG_ERROR([Your system lacks libcurl >= 7.19.4])
       ])

This macro is a rearranged version of AC_LIB_CURL from Akos Maroy.

Source Code
***********

Download the latest version of 'ax_lib_curl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_curl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_curl.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_ev
=========

Synopsis
********

     AX_LIB_EV([VERSION],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

Checks for libev mimicking pkg-config's way of doing things for as long
as upstream doesn't provide a .pc file.  If successful and provided
expand ACTION-IF-FOUND, otherwise expand ACTION-IF-NOT-FOUND, or, if
omitted, error out like pkg-config does.

Defines libev_LIBS and libev_CFLAGS.

Source Code
***********

Download the latest version of 'ax_lib_ev.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_ev.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_ev.m4).

License
*******

Copyright (C) 2012 Sebastian Freundt <freundt@fresse.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_expat
============

Synopsis
********

     AX_LIB_EXPAT([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Expat XML Parser of
particular version or newer.  This macro checks for Expat XML Parser
headers and libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-expat      -- yes, no, or path to Expat XML Parser
                            installation prefix

2) Three-options usage (all options are required):

       --with-expat=yes
       --with-expat-inc  -- path to base directory with Expat headers
       --with-expat-lib  -- linker flags for Expat

This macro calls:

       AC_SUBST(EXPAT_CFLAGS)
       AC_SUBST(EXPAT_LIBS)
       AC_SUBST(EXPAT_LDFLAGS)
       AC_SUBST(EXPAT_VERSION)  -- only if version requirement is used

And sets:

       HAVE_EXPAT

Source Code
***********

Download the latest version of 'ax_lib_expat.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_expat.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_expat.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_firebird
===============

Synopsis
********

     AX_LIB_FIREBIRD([MINIMUM-VERSION])

Description
***********

Test for the Firebird client library of a particular version (or newer).
This macro takes only one optional argument, the required version of
Firebird library.  If required version is not passed, then 1.5.0 is used
in test of existence of Firebird client library.

For more information about Firebird API versioning check: API Identifies
Client Version http://www.firebirdsql.org/rlsnotes20/rnfbtwo-apiods.html

If no installation prefix to the installed Firebird library is given the
macro searches under /usr, /usr/local, and /opt.

This macro calls:

       AC_SUBST(FIREBIRD_CFLAGS)
       AC_SUBST(FIREBIRD_LDFLAGS)
       AC_SUBST(FIREBIRD_VERSION)

And sets:

       HAVE_FIREBIRD

Source Code
***********

Download the latest version of 'ax_lib_firebird.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_firebird.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_firebird.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_gcrypt
=============

Synopsis
********

     AX_LIB_GCRYPT([yes|no|auto])

Description
***********

Searches for the 'gcrypt' library with the -with...  option.

If found, define HAVE_GCRYPT and macro GCRYPT_LIBS and GCRYPT_CFLAGS.
Also defines GCRYPT_WITH_<algo> for the algorithms found available.
Possible algorithms are: AES ARCFOUR BLOWFISH CAST5 DES IDEA RFC2268
SERPENT TWOFISH CRC HAVAL MD2 MD4 MD5 RMD160 SHA0 SHA1 SHA224 SHA256
SHA384 SHA512 TIGER WHIRLPOOL DSA ELGAMAL RSA

The argument is used if no -with...-gcrypt option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT and AX_LIB_CRYPTO.

Source Code
***********

Download the latest version of 'ax_lib_gcrypt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_gcrypt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_gcrypt.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_gdal
===========

Synopsis
********

     AX_LIB_GDAL([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of GDAL/OGR library of
particular version or newer.

AX_LIB_GDAL macro takes only one argument which is optional.  If there
is no required version passed, then macro does not run version test.

The -with-gdal option takes complete path to gdal-config utility,

This macro calls AC_SUBST for:

       GDAL_VERSION
       GDAL_CFLAGS
       GDAL_LDFLAGS
       GDAL_DEP_LDFLAGS
       GDAL_OGR_ENABLED

and AC_DEFINE for:

       HAVE_GDAL
       HAVE_GDAL_OGR

Source Code
***********

Download the latest version of 'ax_lib_gdal.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_gdal.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_gdal.m4).

License
*******

Copyright (C) 2011 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2011 Alessandro Candini <candini@meeo.it>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_hdf5
===========

Synopsis
********

     AX_LIB_HDF5([serial/parallel])

Description
***********

This macro provides tests of the availability of HDF5 library.

The optional macro argument should be either 'serial' or 'parallel'.
The former only looks for serial HDF5 installations via h5cc.  The
latter only looks for parallel HDF5 installations via h5pcc.  If the
optional argument is omitted, serial installations will be preferred
over parallel ones.

The macro adds a -with-hdf5 option accepting one of three values:

       no   - do not check for the HDF5 library.
       yes  - do check for HDF5 library in standard locations.
       path - complete path to the HDF5 helper script h5cc or h5pcc.

If HDF5 is successfully found, this macro calls

       AC_SUBST(HDF5_VERSION)
       AC_SUBST(HDF5_CC)
       AC_SUBST(HDF5_CFLAGS)
       AC_SUBST(HDF5_CPPFLAGS)
       AC_SUBST(HDF5_LDFLAGS)
       AC_SUBST(HDF5_LIBS)
       AC_SUBST(HDF5_FC)
       AC_SUBST(HDF5_FFLAGS)
       AC_SUBST(HDF5_FLIBS)
       AC_SUBST(HDF5_TYPE)
       AC_DEFINE(HAVE_HDF5)

and sets with_hdf5="yes".  Additionally, the macro sets
with_hdf5_fortran="yes" if a matching Fortran wrapper script is found.
Note that Autoconf's Fortran support is not used to perform this check.
H5CC and H5FC will contain the appropriate serial or parallel HDF5
wrapper script locations.

If HDF5 is disabled or not found, this macros sets with_hdf5="no" and
with_hdf5_fortran="no".

Your configuration script can test $with_hdf to take any further
actions.  HDF5_{C,CPP,LD}FLAGS may be used when building with C or C++.
HDF5_F{FLAGS,LIBS} should be used when building Fortran applications.

To use the macro, one would code one of the following in "configure.ac"
before AC_OUTPUT:

       1) dnl Check for HDF5 support
          AX_LIB_HDF5()

       2) dnl Check for serial HDF5 support
          AX_LIB_HDF5([serial])

       3) dnl Check for parallel HDF5 support
          AX_LIB_HDF5([parallel])

One could test $with_hdf5 for the outcome or display it as follows

       echo "HDF5 support:  $with_hdf5"

You could also for example, override the default CC in "configure.ac" to
enforce compilation with the compiler that HDF5 uses:

       AX_LIB_HDF5([parallel])
       if test "$with_hdf5" = "yes"; then
               CC="$HDF5_CC"
       else
               AC_MSG_ERROR([Unable to find HDF5, we need parallel HDF5.])
       fi

The HDF5_TYPE environment variable returns "parallel" or "serial",
depending on which type of library is found.

Source Code
***********

Download the latest version of 'ax_lib_hdf5.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_hdf5.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_hdf5.m4).

License
*******

Copyright (C) 2009 Timothy Brown <tbrown@freeshell.org>
Copyright (C) 2010 Rhys Ulerich <rhys.ulerich@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_id3
==========

Synopsis
********

     AX_LIB_ID3([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of id3lib
(http://id3lib.sourceforge.net/).  It does this by checking for the
header file id3.h and the id3 library object file.  A -with-id3lib
option is supported as well.  The following output variables are set
with AC_SUBST:

       ID3_CPPFLAGS
       ID3_LDFLAGS
       ID3_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(ID3_CPPFLAGS)
       AM_LDFLAGS = $(ID3_LDFLAGS)
       program_LDADD = $(ID3_LIBS)

Additionally, the C preprocessor symbol HAVE_ID3LIB will be defined with
AC_DEFINE if id3lib is available.

Source Code
***********

Download the latest version of 'ax_lib_id3.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_id3.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_id3.m4).

License
*******

Copyright (C) 2009 Oskar Liljeblad <oskar@osk.mine.nu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_libkml
=============

Synopsis
********

     AX_LIB_LIBKML([MINIMUM-VERSION])

Description
***********

This macro tests whether Google's libkml library
<http://code.google.com/p/libkml/> is available in particular version or
newer.  The generated configure script will support the following
options:

1) Single-option usage:

       --with-libkml - yes, no or path to Google libkml installation prefix

2) Three-options usage (all options are required):

       --with-libkml=yes
       --with-libkml-inc - path to base directory with  headers
       --with-libkml-lib - linker flags for

This macro calls:

       AC_SUBST(LIBKML_CFLAGS)
       AC_SUBST(LIBKML_LDFLAGS)
       AC_SUBST(LIBKML_VERSION) - only if version requirement is used

And sets:

       HAVE_LIBKML

Source Code
***********

Download the latest version of 'ax_lib_libkml.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_libkml.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_libkml.m4).

License
*******

Copyright (C) 2010 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_metis
============

Synopsis
********

     AX_LIB_METIS([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the METIS library in the user specified
location.  The user may specify the location either by defining the
environment variable METIS or by using the -with-metis option to
configure.  If the environment variable is defined it has precedent over
everything else.  If no location was specified then it searches in
/usr/lib and /usr/local/lib for the library and in /usr/include and
/usr/local/include for the header files.  Upon successful completion the
variables METIS_LIB and METIS_INCLUDE are set.

ACTION-IF-FOUND is a list of shell commands to run if a METIS library is
found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
not found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_METIS. If ACTION-IF-NOT-FOUND is not specified then an error
will be generated halting configure.

Source Code
***********

Download the latest version of 'ax_lib_metis.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_metis.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_metis.m4).

License
*******

Copyright (C) 2008 Ben Bergen <ben@cs.fau.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_mysql
============

Synopsis
********

     AX_LIB_MYSQL([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of MySQL client library of
particular version or newer.

AX_LIB_MYSQL macro takes only one argument which is optional.  If there
is no required version passed, then macro does not run version test.

The -with-mysql option takes one of three possible values:

no - do not check for MySQL client library

yes - do check for MySQL library in standard locations (mysql_config
should be in the PATH)

path - complete path to mysql_config utility, use this option if
mysql_config can't be found in the PATH

This macro calls:

       AC_SUBST(MYSQL_CFLAGS)
       AC_SUBST(MYSQL_LDFLAGS)
       AC_SUBST(MYSQL_VERSION)

And sets:

       HAVE_MYSQL

Source Code
***********

Download the latest version of 'ax_lib_mysql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_mysql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_mysql.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_mysqlcppconn
===================

Synopsis
********

     AX_LIB_MYSQLCPPCONN([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the MySQL Connector/C++ libraries

If no path to the installed library is given the macro searches under
/usr, /usr/local, /opt and /opt/local.

This macro calls:

       AC_SUBST(LIBMYSQLCPPCONN_CXXFLAGS) / AC_SUBST(LIBMYSQLCPPCONN_LDFLAGS)

And sets:

       HAVE_LIBMYSQLCPPCONN

Note that this library needs to link with either MySQL client library or
MySQL Connector/C to work.  The macros defined here don't take care of
external dependencies so you have to do it on your own.  See also
AX_LIB_MYSQL macro.

Source Code
***********

Download the latest version of 'ax_lib_mysqlcppconn.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_mysqlcppconn.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_mysqlcppconn.m4).

License
*******

Copyright (C) 2011 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_netcdf4
==============

Synopsis
********

     AX_LIB_NETCDF4([serial/parallel])

Description
***********

This macro provides tests of the availability of the NetCDF v4 library.

The optional macro argument should be either 'serial' or 'parallel'.
The macro will call nc-config to check the output of the '-has-pnetcdf'
option and error out if the requested parallel isn't supported.

If the optional argument is omitted, no check is made to see if NetCDF
has parallel support.

The macro adds a -with-netcdf4 option accepting one of three values:

       no   - do not check for the NetCDF4 library.
       yes  - do check for NetCDF4 library in standard locations.
       path - installation prefix for NetCDF version 4.

If NetCDF4 is successfully found, this macro calls

       AC_SUBST(NETCDF4_VERSION)
       AC_SUBST(NETCDF4_CC)
       AC_SUBST(NETCDF4_CFLAGS)
       AC_SUBST(NETCDF4_CPPFLAGS)
       AC_SUBST(NETCDF4_LDFLAGS)
       AC_SUBST(NETCDF4_LIBS)
       AC_SUBST(NETCDF4_FC)
       AC_SUBST(NETCDF4_FFLAGS)
       AC_SUBST(NETCDF4_FLIBS)
       AC_DEFINE(HAVE_NETCDF4)

It also sets

       with_netcdf4="yes"
       with_netcdf4_fortran="yes"    (if NetCDF has Fortran support)
       with_netcdf4_parallel="yes"   (if NetCDF has MPI support)

If NetCDF4 is disabled or not found, this macros sets

       with_netcdf4="no"
       with_netcdf4_fortran="no"

Note it does not set with_netcdf4_parallel in this case.

Your configuration script can test $with_netcdf4 to take any further
actions.  NETCDF4_{C,CPP,LD}FLAGS may be used when building with C or
C++.  NETCDF4_F{FLAGS,LIBS} and NETCDF4_LDFLAGS should be used when
building Fortran applications.

To use the macro, one would code one of the following in "configure.ac"
before AC_OUTPUT:

       1) dnl Check for NetCDF4 support
          AX_LIB_NETCDF4()

       2) dnl Check for serial NetCDF4 support
          AX_LIB_NETCDF4([serial])

       3) dnl Check for parallel NetCDF4 support
          AX_LIB_NETCDF4([parallel])

One could test $with_netcdf4 for the outcome or display it as follows

       echo "NetCDF v4 support:  $with_netcdf4"

One could also for example, override the default CC in "configure.ac" to
enforce compilation with the compiler that NetCDF v4 was built with:

       AX_LIB_NETCDF4([parallel])
       if test "$with_netcdf4" = "yes"; then
               CC="$NETCDF4_CC"
       else
               AC_MSG_ERROR([Unable to find NetCDF4, we need parallel NetCDF4.])
       fi

Source Code
***********

Download the latest version of 'ax_lib_netcdf4.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_netcdf4.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_netcdf4.m4).

License
*******

Copyright (C) 2016 Timothy Brown <tbrown@freeshell.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_nettle
=============

Synopsis
********

     AX_LIB_NETTLE([yes|no|auto])

Description
***********

Searches for the 'nettle' library with the -with...  option.

If found, define HAVE_NETTLE and macro NETTLE_LIBS. Also defines
NETTLE_WITH_<algo> for the algorithms found available.  Possible
algorithms: AES ARCTWO BLOWFISH CAST128 DES DES3 SERPENT TWOFISH MD2 MD4
MD5 SHA1 SHA256.

The argument is used if no -with...-nettle option is set.  Value "yes"
requires the configuration by default.  Value "no" does not require it
by default.  Value "auto" configures the library only if available.

See also AX_LIB_BEECRYPT, AX_LIB_CRYPTO, and AX_LIB_GCRYPT.

Source Code
***********

Download the latest version of 'ax_lib_nettle.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_nettle.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_nettle.m4).

License
*******

Copyright (C) 2009 Fabien Coelho <autoconf.archive@coelho.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_nokalva
==============

Synopsis
********

     AX_LIB_NOKALVA([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of OSS Nokalva
(http://www.oss.com/products/).  It does this by checking for the header
file asn1.h and the cppsoed library object file.  A -with-nokalva option
is supported as well.  The following output variables are set with
AC_SUBST:

       NOKALVA_CPPFLAGS
       NOKALVA_LDFLAGS
       NOKALVA_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(NOKALVA_CPPFLAGS)
       AM_LDFLAGS = $(NOKALVA_LDFLAGS)
       program_LDADD = $(NOKALVA_LIBS)

Additionally, the C preprocessor symbol HAVE_NOKALVA will be defined
with AC_DEFINE if Nokalva is available.

Source Code
***********

Download the latest version of 'ax_lib_nokalva.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_nokalva.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_nokalva.m4).

License
*******

Copyright (C) 2009 Krzysztof Burghardt <krzysztof@burghardt.pl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_oracle_occi
==================

Synopsis
********

     AX_LIB_ORACLE_OCCI([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Oracle OCCI API of
particular version or newer.  This macros checks for Oracle OCCI headers
and libraries and defines compilation flags.

Macro supports following options and their values:

1) Single-option usage:

       --with-occi         -- path to ORACLE_HOME directory

2) Two-options usage (both options are required):

       --with-occi-include -- path to directory with OCCI headers
       --with-occi-lib     -- path to directory with OCCI libraries

NOTE: These options described above do not take yes|no values.  If 'yes'
value is passed, then WARNING message will be displayed, 'no' value, as
well as the -without-occi-* variations will cause the macro to not check
anything.

This macro calls:

       AC_SUBST(ORACLE_OCCI_CPPFLAGS)
       AC_SUBST(ORACLE_OCCI_LDFLAGS)
       AC_SUBST(ORACLE_OCCI_VERSION)

And sets:

       HAVE_ORACLE_OCCI

Source Code
***********

Download the latest version of 'ax_lib_oracle_occi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_oracle_occi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_oracle_occi.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2012 Krzysztof Burghardt <krzysztof@burghardt.pl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_oracle_oci
=================

Synopsis
********

     AX_LIB_ORACLE_OCI([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Oracle OCI API of
particular version or newer.  This macros checks for Oracle OCI headers
and libraries and defines compilation flags.

Macro supports following options and their values:

1) Single-option usage:

       --with-oci         -- path to ORACLE_HOME directory

2) Two-options usage (both options are required):

       --with-oci-include -- path to directory with OCI headers
       --with-oci-lib     -- path to directory with OCI libraries

NOTE: These options described above do not take yes|no values.  If 'yes'
value is passed, then WARNING message will be displayed, 'no' value, as
well as the -without-oci-* variations will cause the macro to not check
anything.

This macro calls:

       AC_SUBST(ORACLE_OCI_CFLAGS)
       AC_SUBST(ORACLE_OCI_LDFLAGS)
       AC_SUBST(ORACLE_OCI_VERSION)

And sets:

       HAVE_ORACLE_OCI

Source Code
***********

Download the latest version of 'ax_lib_oracle_oci.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_oracle_oci.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_oracle_oci.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2015 Joost van Baal-Ilic <joostvb+autoconf@uvt.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_orbit2
=============

Synopsis
********

     AX_LIB_ORBIT2([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum Orbit2 library version VERSION. If successful
executes ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines ORBIT2_LIBS and ORBIT2_CFLAGS.

A simple example:

       AX_LIB_ORBIT2([2.14.16],,[
         AC_MSG_ERROR([Your system lacks of orbit2 >= 2.14.16])
       ])

Source Code
***********

Download the latest version of 'ax_lib_orbit2.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_orbit2.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_orbit2.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_postgresql
=================

Synopsis
********

     AX_LIB_POSTGRESQL([MINIMUM-VERSION],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND])

Description
***********

This macro provides tests of availability of PostgreSQL 'libpq' library
of particular version or newer.

AX_LIB_POSTGRESQL macro takes only one argument which is optional.  If
there is no required version passed, then macro does not run version
test.

The -with-postgresql option takes one of three possible values:

no - do not check for PostgreSQL client library

yes - do check for PostgreSQL library in standard locations (pg_config
should be in the PATH)

path - complete path to pg_config utility, use this option if pg_config
can't be found in the PATH (You could set also PG_CONFIG variable)

This macro calls:

       AC_SUBST(POSTGRESQL_CPPFLAGS)
       AC_SUBST(POSTGRESQL_LDFLAGS)
       AC_SUBST(POSTGRESQL_LIBS)
       AC_SUBST(POSTGRESQL_VERSION)

And sets:

       HAVE_POSTGRESQL

It execute if found ACTION-IF-FOUND (empty by default) and
ACTION-IF-NOT-FOUND (AC_MSG_FAILURE by default) if not found.

Source Code
***********

Download the latest version of 'ax_lib_postgresql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_postgresql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_postgresql.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2014 Sree Harsha Totakura <sreeharsha@totakura.in>
Copyright (C) 2018 Bastien Roucaries <rouca@debian.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_readline
===============

Synopsis
********

     AX_LIB_READLINE

Description
***********

Searches for a readline compatible library.  If found, defines
'HAVE_LIBREADLINE'. If the found library has the 'add_history' function,
sets also 'HAVE_READLINE_HISTORY'. Also checks for the locations of the
necessary include files and sets 'HAVE_READLINE_H' or
'HAVE_READLINE_READLINE_H' and 'HAVE_READLINE_HISTORY_H' or
'HAVE_HISTORY_H' if the corresponding include files exists.

The libraries that may be readline compatible are 'libedit',
'libeditline' and 'libreadline'.  Sometimes we need to link a termcap
library for readline to work, this macro tests these cases too by trying
to link with 'libtermcap', 'libcurses' or 'libncurses' before giving up.

Here is an example of how to use the information provided by this macro
to perform the necessary includes or declarations in a C file:

       #ifdef HAVE_LIBREADLINE
       #  if defined(HAVE_READLINE_READLINE_H)
       #    include <readline/readline.h>
       #  elif defined(HAVE_READLINE_H)
       #    include <readline.h>
       #  else /* !defined(HAVE_READLINE_H) */
       extern char *readline ();
       #  endif /* !defined(HAVE_READLINE_H) */
       char *cmdline = NULL;
       #else /* !defined(HAVE_READLINE_READLINE_H) */
         /* no readline */
       #endif /* HAVE_LIBREADLINE */

       #ifdef HAVE_READLINE_HISTORY
       #  if defined(HAVE_READLINE_HISTORY_H)
       #    include <readline/history.h>
       #  elif defined(HAVE_HISTORY_H)
       #    include <history.h>
       #  else /* !defined(HAVE_HISTORY_H) */
       extern void add_history ();
       extern int write_history ();
       extern int read_history ();
       #  endif /* defined(HAVE_READLINE_HISTORY_H) */
         /* no history */
       #endif /* HAVE_READLINE_HISTORY */

Source Code
***********

Download the latest version of 'ax_lib_readline.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_readline.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_readline.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_samtools
===============

Synopsis
********

     AX_LIB_SAMTOOLS()

Description
***********

This macro searches for an installed samtools library.  If nothing was
specified when calling configure, it searches first in /usr/local and
then tries with ld's default library search path.  If the
-with-samtools=DIR is specified, it will try to find it in
DIR/include/bam/sam.h and DIR/lib/libbam.a.  As a final try it will look
in DIR/sam.h and DIR/libbam.a as the samtools library does not contain
an install rule.

If -without-samtools is specified, the library is not searched at all.

If either the header file (sam.h) or the library (libbam) is not found,
the configuration exits on error, asking for a valid samtools
installation directory or -without-samtools.

The macro defines the symbol HAVE_SAMTOOLS if the library is found.  You
should use autoheader to include a definition for this symbol in a
config.h file.  Sample usage in a C/C++ source is as follows:

       #ifdef HAVE_SAMTOOLS
       #include <sam.h>
       #endif /* HAVE_SAMTOOLS */

The following output variables are set with AC_SUBST:

       SAMTOOLS_CPPFLAGS
       SAMTOOLS_LDFLAGS
       SAMTOOLS_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(SAMTOOLS_CPPFLAGS)
       AM_LDFLAGS = $(SAMTOOLS_LDFLAGS)
       program_LDADD = $(SAMTOOLS_LIBS)

Source Code
***********

Download the latest version of 'ax_lib_samtools.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_samtools.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_samtools.m4).

License
*******

Copyright (C) 2013 Timothy Brown <tbrown@freeshell.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_socket_nsl
=================

Synopsis
********

     AX_LIB_SOCKET_NSL

Description
***********

This macro figures out what libraries are required on this platform to
link sockets programs.

The common cases are not to need any extra libraries, or to need
-lsocket and -lnsl.  We need to avoid linking with libnsl unless we need
it, though, since on some OSes where it isn't necessary it will totally
break networking.  Unisys also includes gethostbyname() in libsocket but
needs libnsl for socket().

Source Code
***********

Download the latest version of 'ax_lib_socket_nsl.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_socket_nsl.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_socket_nsl.m4).

License
*******

Copyright (C) 2008 Russ Allbery <rra@stanford.edu>
Copyright (C) 2008 Stepan Kasal <kasal@ucw.cz>
Copyright (C) 2008 Warren Young <warren@etr-usa.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_sqlite3
==============

Synopsis
********

     AX_LIB_SQLITE3([MINIMUM-VERSION])

Description
***********

Test for the SQLite 3 library of a particular version (or newer)

This macro takes only one optional argument, required version of SQLite
3 library.  If required version is not passed, 3.0.0 is used in the test
of existence of SQLite 3.

If no installation prefix to the installed SQLite library is given the
macro searches under /usr, /usr/local, and /opt.

This macro calls:

       AC_SUBST(SQLITE3_CFLAGS)
       AC_SUBST(SQLITE3_LDFLAGS)
       AC_SUBST(SQLITE3_VERSION)

And sets:

       HAVE_SQLITE3

Source Code
***********

Download the latest version of 'ax_lib_sqlite3.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_sqlite3.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_sqlite3.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_tabix
============

Synopsis
********

     AX_LIB_TABIX()

Description
***********

This macro searches for an installed tabix library.  If nothing was
specified when calling configure, it searches first in /usr/local and
then tries with ld's default library search path.  If the
-with-tabix=DIR is specified, it will try to find it in
DIR/include/tabix/tabix.h and DIR/lib/libtabix.a.  As a final try it
will look in DIR/tabix.h and DIR/libtabix.a as the tabix library does
not contain an install rule.

If -without-tabix is specified, the library is not searched at all.

If either the header file (tabix.h) or the library (libtabix) is not
found, the configuration exits on error, asking for a valid tabix
installation directory or -without-tabix.

The macro defines the symbol HAVE_TABIX if the library is found.  You
should use autoheader to include a definition for this symbol in a
config.h file.  Sample usage in a C/C++ source is as follows:

       #ifdef HAVE_TABIX
       #include <tabix.h>
       #endif /* HAVE_TABIX */

The following output variables are set with AC_SUBST:

       TABIX_CPPFLAGS
       TABIX_LDFLAGS
       TABIX_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(TABIX_CPPFLAGS)
       AM_LDFLAGS = $(TABIX_LDFLAGS)
       program_LDADD = $(TABIX_LIBS)

Source Code
***********

Download the latest version of 'ax_lib_tabix.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_tabix.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_tabix.m4).

License
*******

Copyright (C) 2013 Timothy Brown <tbrown@freeshell.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_taglib
=============

Synopsis
********

     AX_LIB_TAGLIB([VERSION],[ACTION-IF-SUCCESS],[ACTION-IF-FAILURE])

Description
***********

Checks for minimum taglib library version VERSION. If successful
executes ACTION-IF-SUCCESS otherwise ACTION-IF-FAILURE.

Defines TAGLIB_LIBS and TAGLIB_CFLAGS.

A simple example:

       AX_LIB_TAGLIB([1.5],,[
         AC_MSG_ERROR([Your system lacks of taglib >= 1.5])
       ])

This macro is a rearranged version of AC_LIB_TAGLIB from Akos Maroy.

Source Code
***********

Download the latest version of 'ax_lib_taglib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_taglib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_taglib.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_trace
============

Synopsis
********

     AX_LIB_TRACE([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the libtrace libraries of a particular version (or newer)

If no path to the installed library is given the macro searches under
/usr, /usr/local, /opt and /opt/local.

This macro calls:

       AC_SUBST(LIBTRACE_CFLAGS) / AC_SUBST(LIBTRACE_LDFLAGS)

And sets:

       HAVE_LIBTRACE

Source Code
***********

Download the latest version of 'ax_lib_trace.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_trace.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_trace.m4).

License
*******

Copyright (C) 2011 Xiyue Deng <manphiz@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_upnp
===========

Synopsis
********

     AX_LIB_UPNP([ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

This macro will check for the existence of libupnp
(http://upnp.sourceforge.net/).  It does this by checking for the header
file upnp.h and the upnp library object file.  A -with-libupnp option is
supported as well.  The following output variables are set with
AC_SUBST:

       UPNP_CPPFLAGS
       UPNP_LDFLAGS
       UPNP_LIBS

You can use them like this in Makefile.am:

       AM_CPPFLAGS = $(UPNP_CPPFLAGS)
       AM_LDFLAGS = $(UPNP_LDFLAGS)
       program_LDADD = $(UPNP_LIBS)

Additionally, the C preprocessor symbol HAVE_LIBUPNP will be defined
with AC_DEFINE if libupnp is available.

Source Code
***********

Download the latest version of 'ax_lib_upnp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_upnp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_upnp.m4).

License
*******

Copyright (C) 2009 Oskar Liljeblad <oskar@osk.mine.nu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_wad
==========

Synopsis
********

     AX_LIB_WAD

Description
***********

This macro searches for an installed WAD library.

Source Code
***********

Download the latest version of 'ax_lib_wad.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_wad.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_wad.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_lib_xalan
============

Synopsis
********

     AX_LIB_XALAN([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xalan C++ XSLT
processor of a particular version or newer.  This macros checks for
Apache Xalan C++ XSLT processor headers and libraries and defines
compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xalan - yes, no or path to Xalan installation prefix

2) Three-options usage (all options are required):

       --with-xalan=yes
       --with-xalan-inc - path to base directory with Xalan headers
       --with-xalan-lib - linker flags for Xalan

This macro calls:

       AC_SUBST(XALAN_CPPFLAGS)
       AC_SUBST(XALAN_LDFLAGS)
       AC_SUBST(XALAN_VERSION) - only if version requirement is used

And sets:

       HAVE_XALAN

Source Code
***********

Download the latest version of 'ax_lib_xalan.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xalan.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xalan.m4).

License
*******

Copyright (C) 2009 Mateusz Loskot <mateusz@loskot.net>
Copyright (C) 2009 Bill Blough <bblough@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_xerces
=============

Synopsis
********

     AX_LIB_XERCES([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xerces C++ Parser of
particular version or newer.  This macros checks for Apache Xerces C++
Parser headers and libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xerces - yes, no or path to Xerces installation prefix

2) Three-options usage (all options are required):

       --with-xerces=yes
       --with-xerces-inc - path to base directory with Xerces headers
       --with-xerces-lib - linker flags for Xerces

This macro calls:

       AC_SUBST(XERCES_CFLAGS)
       AC_SUBST(XERCES_LDFLAGS)
       AC_SUBST(XERCES_VERSION) - only if version requirement is used

And sets:

       HAVE_XERCES

Source Code
***********

Download the latest version of 'ax_lib_xerces.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xerces.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xerces.m4).

License
*******

Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lib_xml_security
===================

Synopsis
********

     AX_LIB_XML_SECURITY([MINIMUM-VERSION])

Description
***********

This macro provides tests of availability of Apache Xml-Security C++
library <http://santuario.apache.org/index.html> of particular version
or newer.  This macros checks for Apache Xml-Security C++ headers and
libraries and defines compilation flags

Macro supports following options and their values:

1) Single-option usage:

       --with-xml-security - yes, no or path to Xml-Security installation prefix

2) Three-options usage (all options are required):

       --with-xml-security=yes
       --with-xml-security-inc - path to base directory with Xml-Security headers
       --with-xml-security-lib - linker flags for Xml-Security

This macro calls:

       AC_SUBST(XML_SECURITY_CFLAGS)
       AC_SUBST(XML_SECURITY_LDFLAGS)
       AC_SUBST(XML_SECURITY_VERSION) - only if version requirement is used

And sets:

       HAVE_XML_SECURITY

Source Code
***********

Download the latest version of 'ax_lib_xml_security.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lib_xml_security.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lib_xml_security.m4).

License
*******

Copyright (C) 2008 Alexander Petry <petry@itwm.fhg.de>
Copyright (C) 2008 Mateusz Loskot <mateusz@loskot.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_libgcj_jar
=============

Synopsis
********

     AX_LIBGCJ_JAR

Description
***********

Locate libgcj.jar so you can place it before everything else when using
gcj.

Source Code
***********

Download the latest version of 'ax_libgcj_jar.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_libgcj_jar.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_libgcj_jar.m4).

License
*******

Copyright (C) 2008 Duncan Simpson <dps@simpson.demon.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_libtoolize_cflags
====================

Synopsis
********

     AX_LIBTOOLIZE_CFLAGS(COMPILER-FLAGS-VAR)

Description
***********

Change the contents of variable COMPILER-FLAGS-VAR so that they are
Libtool friendly, ie.  prefix each of them with '-Xcompiler' so that
Libtool doesn't remove them.

Source Code
***********

Download the latest version of 'ax_libtoolize_cflags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_libtoolize_cflags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_libtoolize_cflags.m4).

License
*******

Copyright (C) 2008 Ludovic Courtes <ludo@chbouib.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_llvm
=======

Synopsis
********

     AX_LLVM([llvm-libs])

Description
***********

Test for the existence of llvm, and make sure that it can be linked with
the llvm-libs argument that is passed on to llvm-config i.e.:

       llvm --libs <llvm-libs>

llvm-config will also include any libraries that are depended upon.

Source Code
***********

Download the latest version of 'ax_llvm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_llvm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_llvm.m4).

License
*******

Copyright (C) 2008 Andy Kitchen <agimbleinthewabe@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_lua
======

Synopsis
********

     AX_PROG_LUA[([MINIMUM-VERSION], [TOO-BIG-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_HEADERS[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_LIBS[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]
     AX_LUA_READLINE[([ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])]

Description
***********

Detect a Lua interpreter, optionally specifying a minimum and maximum
version number.  Set up important Lua paths, such as the directories in
which to install scripts and modules (shared libraries).

Also detect Lua headers and libraries.  The Lua version contained in the
header is checked to match the Lua interpreter version exactly.  When
searching for Lua libraries, the version number is used as a suffix.
This is done with the goal of supporting multiple Lua installs (5.1,
5.2, and 5.3 side-by-side).

A note on compatibility with previous versions: This file has been
mostly rewritten for serial 18.  Most developers should be able to use
these macros without needing to modify configure.ac.  Care has been
taken to preserve each macro's behavior, but there are some differences:

1) AX_WITH_LUA is deprecated; it now expands to the exact same thing as
AX_PROG_LUA with no arguments.

2) AX_LUA_HEADERS now checks that the version number defined in lua.h
matches the interpreter version.  AX_LUA_HEADERS_VERSION is therefore
unnecessary, so it is deprecated and does not expand to anything.

3) The configure flag -with-lua-suffix no longer exists; the user should
instead specify the LUA precious variable on the command line.  See the
AX_PROG_LUA description for details.

Please read the macro descriptions below for more information.

This file was inspired by Andrew Dalke's and James Henstridge's
python.m4 and Tom Payne's, Matthieu Moy's, and Reuben Thomas's ax_lua.m4
(serial 17).  Basically, this file is a mash-up of those two files.  I
like to think it combines the best of the two!

AX_PROG_LUA: Search for the Lua interpreter, and set up important Lua
paths.  Adds precious variable LUA, which may contain the path of the
Lua interpreter.  If LUA is blank, the user's path is searched for an
suitable interpreter.

If MINIMUM-VERSION is supplied, then only Lua interpreters with a
version number greater or equal to MINIMUM-VERSION will be accepted.  If
TOO-BIG-VERSION is also supplied, then only Lua interpreters with a
version number greater or equal to MINIMUM-VERSION and less than
TOO-BIG-VERSION will be accepted.

The Lua version number, LUA_VERSION, is found from the interpreter, and
substituted.  LUA_PLATFORM is also found, but not currently supported
(no standard representation).

Finally, the macro finds four paths:

       luadir             Directory to install Lua scripts.
       pkgluadir          $luadir/$PACKAGE
       luaexecdir         Directory to install Lua modules.
       pkgluaexecdir      $luaexecdir/$PACKAGE

These paths are found based on $prefix, $exec_prefix, Lua's
package.path, and package.cpath.  The first path of package.path
beginning with $prefix is selected as luadir.  The first path of
package.cpath beginning with $exec_prefix is used as luaexecdir.  This
should work on all reasonable Lua installations.  If a path cannot be
determined, a default path is used.  Of course, the user can override
these later when invoking make.

       luadir             Default: $prefix/share/lua/$LUA_VERSION
       luaexecdir         Default: $exec_prefix/lib/lua/$LUA_VERSION

These directories can be used by Automake as install destinations.  The
variable name minus 'dir' needs to be used as a prefix to the
appropriate Automake primary, e.g.  lua_SCRIPS or luaexec_LIBRARIES.

If an acceptable Lua interpreter is found, then ACTION-IF-FOUND is
performed, otherwise ACTION-IF-NOT-FOUND is preformed.  If
ACTION-IF-NOT- FOUND is blank, then it will default to printing an
error.  To prevent the default behavior, give ':' as an action.

AX_LUA_HEADERS: Search for Lua headers.  Requires that AX_PROG_LUA be
expanded before this macro.  Adds precious variable LUA_INCLUDE, which
may contain Lua specific include flags, e.g.  -I/usr/include/lua5.1.  If
LUA_INCLUDE is blank, then this macro will attempt to find suitable
flags.

LUA_INCLUDE can be used by Automake to compile Lua modules or
executables with embedded interpreters.  The *_CPPFLAGS variables should
be used for this purpose, e.g.  myprog_CPPFLAGS = $(LUA_INCLUDE).

This macro searches for the header lua.h (and others).  The search is
performed with a combination of CPPFLAGS, CPATH, etc, and LUA_INCLUDE.
If the search is unsuccessful, then some common directories are tried.
If the headers are then found, then LUA_INCLUDE is set accordingly.

The paths automatically searched are:

       * /usr/include/luaX.Y
       * /usr/include/lua/X.Y
       * /usr/include/luaXY
       * /usr/local/include/luaX.Y
       * /usr/local/include/lua-X.Y
       * /usr/local/include/lua/X.Y
       * /usr/local/include/luaXY

(Where X.Y is the Lua version number, e.g.  5.1.)

The Lua version number found in the headers is always checked to match
the Lua interpreter's version number.  Lua headers with mismatched
version numbers are not accepted.

If headers are found, then ACTION-IF-FOUND is performed, otherwise
ACTION-IF-NOT-FOUND is performed.  If ACTION-IF-NOT-FOUND is blank, then
it will default to printing an error.  To prevent the default behavior,
set the action to ':'.

AX_LUA_LIBS: Search for Lua libraries.  Requires that AX_PROG_LUA be
expanded before this macro.  Adds precious variable LUA_LIB, which may
contain Lua specific linker flags, e.g.  -llua5.1.  If LUA_LIB is blank,
then this macro will attempt to find suitable flags.

LUA_LIB can be used by Automake to link Lua modules or executables with
embedded interpreters.  The *_LIBADD and *_LDADD variables should be
used for this purpose, e.g.  mymod_LIBADD = $(LUA_LIB).

This macro searches for the Lua library.  More technically, it searches
for a library containing the function lua_load.  The search is performed
with a combination of LIBS, LIBRARY_PATH, and LUA_LIB.

If the search determines that some linker flags are missing, then those
flags will be added to LUA_LIB.

If libraries are found, then ACTION-IF-FOUND is performed, otherwise
ACTION-IF-NOT-FOUND is performed.  If ACTION-IF-NOT-FOUND is blank, then
it will default to printing an error.  To prevent the default behavior,
set the action to ':'.

AX_LUA_READLINE: Search for readline headers and libraries.  Requires
the AX_LIB_READLINE macro, which is provided by ax_lib_readline.m4 from
the Autoconf Archive.

If a readline compatible library is found, then ACTION-IF-FOUND is
performed, otherwise ACTION-IF-NOT-FOUND is performed.

Source Code
***********

Download the latest version of 'ax_lua.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_lua.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_lua.m4).

License
*******

Copyright (C) 2015 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 2014 Tim Perkins <tprk77@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_luarocks_rock
================

Synopsis
********

     AX_LUAROCKS_ROCK([ROCK])

Description
***********

Checks for a rock, and fails if it is not installed.

Example usage:

       AX_LUAROCKS_ROCK(stdlib)

Note: use of this macro is not normally recommended.  Normally, LuaRocks
should be used to drive the build system, and it takes care of rock
dependencies.  Use this macro only if LuaRocks cannot be used at the top
level, for example, in a build system that uses Lua only incidentally.

Source Code
***********

Download the latest version of 'ax_luarocks_rock.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_luarocks_rock.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_luarocks_rock.m4).

License
*******

Copyright (C) 2016 Reuben Thomas <rrt@sc3d.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_maintainer_mode_auto_silent
==============================

Synopsis
********

     AX_MAINTAINER_MODE_AUTO_SILENT

Description
***********

Set autotools to error/sleep settings so that they are not run when
being erroneously triggered.  Likewise make libtool-silent when libtool
has been used.

I use the macro quite a lot since some automake versions have the
tendency to try to rerun some autotools on a mere make even when not
quite in -maintainer-mode.  That is very annoying.  Likewise, a user who
installs from source does not want to see doubled compiler messages.

I did not put an AC_REQUIRE(MAINTAINER_MODE) in here - should I?

Source Code
***********

Download the latest version of 'ax_maintainer_mode_auto_silent.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_maintainer_mode_auto_silent.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_maintainer_mode_auto_silent.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_missing_prog
===============

Synopsis
********

     AX_MISSING_PROG(VARIABLE,PROGRAM,[MESSAGE])

Description
***********

Simple wrapper for the AM_MISSING_PROG which displays a warning MESSAGE
if provided.  A typical use is the following:

       AC_PROG_AWK
       AS_IF([test -z "$AWK"],[
         AX_MISSING_PROG(AWK,[awk],[awk seems missing ...])
       ])

Programs wrapped with AX_MISSING_PROG should be used only in the package
building phase (because they will be wrapped with the automake 'missing'
script, which will not be installed).

Source Code
***********

Download the latest version of 'ax_missing_prog.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_missing_prog.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_missing_prog.m4).

License
*******

Copyright (C) 2008 Francesco Salvestrini <salvestrini@users.sourceforge.net>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_mpi
======

Synopsis
********

     AX_MPI([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro tries to find out how to compile programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/)

On success, it sets the MPICC, MPICXX, MPIF77, or MPIFC output variable
to the name of the MPI compiler, depending upon the current language.
(This may just be $CC/$CXX/$F77/$FC, but is more often something like
mpicc/mpiCC/mpif77/mpif90.)  It also sets MPILIBS to any libraries that
are needed for linking MPI (e.g.  -lmpi or -lfmpi, if a special
MPICC/MPICXX/MPIF77/MPIFC was not found).

Note that this macro should be used only if you just have a few source
files that need to be compiled using MPI. In particular, you should
neither overwrite CC/CXX/F77/FC with the values of
MPICC/MPICXX/MPIF77/MPIFC, nor assume that you can use the same flags
etc.  as the standard compilers.  If you want to compile a whole program
using the MPI compiler commands, use one of the macros
AX_PROG_{CC,CXX,FC}_MPI.

ACTION-IF-FOUND is a list of shell commands to run if an MPI library is
found, and ACTION-IF-NOT-FOUND is a list of commands to run if it is not
found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_MPI.

Source Code
***********

Download the latest version of 'ax_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_mpi.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2008 Julian C. Cummings <cummings@cacr.caltech.edu>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_mpip
=======

Synopsis
********

     AX_MPIP([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

Test for mpiP: Lightweight, Scalable MPI Profiling
(http://mpip.sourceforge.net/)

Provides a -with-mpiP=DIR option.  Searches -with-mpiP location and the
usual places for mpiP and required libraries.  Marks MPIP as a precious
environment variable.

On success, sets MPIP_LDFLAGS, MPIP_LIBS, #defines HAVE_MPIP, and calls
ACTION-IF-FOUND. When ACTION-IF-NOT-FOUND is not specified, the default
behavior is for configure to fail.

Source Code
***********

Download the latest version of 'ax_mpip.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_mpip.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_mpip.m4).

License
*******

Copyright (C) 2010 Rhys Ulerich <rhys.ulerich@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Macro Archive.  When you make and
distribute a modified version of the Autoconf Macro, you may extend this
special exception to the GPL to apply to your modified version as well.

ax_ms_cpprest
=============

Synopsis
********

     AX_MS_CPPREST([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

Test for the Microsoft C++ Rest SDK library of a particular version (or
newer)

If no path to the installed cpprest library is given the macro searchs
under /usr, /usr/local, /opt and /opt/local and evaluates the
$CPPREST_ROOT environment variable.

This macro calls:

       AC_SUBST(cpprest_CPPFLAGS) / AC_SUBST(cpprest_LDFLAGS) /
       AC_SUBST(cpprest_LIBS)

And sets:

       HAVE_MS_CPPREST

Source Code
***********

Download the latest version of 'ax_ms_cpprest.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_ms_cpprest.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_ms_cpprest.m4).

License
*******

Copyright (C) 2008 Thomas Porschberg <thomas@randspringer.de>
Copyright (C) 2009 Peter Adolphs
Copyright (C) 2021 Richard Winters <kirvedx@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_need_awk
===========

Synopsis
********

     AX_NEED_AWK

Description
***********

Check if an awk implementation is available.  Bail-out if not found.

This work is heavily based upon testawk.sh script by Heiner Steven.  You
should find his script (and related works) at
<http://www.shelldorado.com/articles/awkcompat.html>.  Thanks to
Alessandro Massignan for his suggestions and extensive nawk tests on
FreeBSD.

Source Code
***********

Download the latest version of 'ax_need_awk.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_need_awk.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_need_awk.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_normalize_path
=================

Synopsis
********

     AX_NORMALIZE_PATH(VARNAME, [REFERENCE_STRING])

Description
***********

Perform some cleanups on the value of $VARNAME (interpreted as a path):

       - empty paths are changed to '.'
       - trailing slashes are removed
       - repeated slashes are squeezed except a leading doubled slash '//'
         (which might indicate a networked disk on some OS).

REFERENCE_STRING is used to turn '/' into '\' and vice-versa: if
REFERENCE_STRING contains some backslashes, all slashes and backslashes
are turned into backslashes, otherwise they are all turned into slashes.

This makes processing of DOS filenames quite easier, because you can
turn a filename to the Unix notation, make your processing, and turn it
back to original notation.

       filename='A:\FOO\\BAR\'
       old_filename="$filename"
       # Switch to the unix notation
       AX_NORMALIZE_PATH([filename], ["/"])
       # now we have $filename = 'A:/FOO/BAR' and we can process it as if
       # it was a Unix path.  For instance let's say that you want
       # to append '/subpath':
       filename="$filename/subpath"
       # finally switch back to the original notation
       AX_NORMALIZE_PATH([filename], ["$old_filename"])
       # now $filename equals to 'A:\FOO\BAR\subpath'

One good reason to make all path processing with the unix convention is
that backslashes have a special meaning in many cases.  For instance

       expr 'A:\FOO' : 'A:\Foo'

will return 0 because the second argument is a regex in which
backslashes have to be backslashed.  In other words, to have the two
strings to match you should write this instead:

       expr 'A:\Foo' : 'A:\\Foo'

Such behavior makes DOS filenames extremely unpleasant to work with.  So
temporary turn your paths to the Unix notation, and revert them to the
original notation after the processing.  See the macro
AX_COMPUTE_RELATIVE_PATHS for a concrete example of this.

REFERENCE_STRING defaults to $VARIABLE, this means that slashes will be
converted to backslashes if $VARIABLE already contains some backslashes
(see $thirddir below).

       firstdir='/usr/local//share'
       seconddir='C:\Program Files\\'
       thirddir='C:\home/usr/'
       AX_NORMALIZE_PATH([firstdir])
       AX_NORMALIZE_PATH([seconddir])
       AX_NORMALIZE_PATH([thirddir])
       # $firstdir = '/usr/local/share'
       # $seconddir = 'C:\Program Files'
       # $thirddir = 'C:\home\usr'

Source Code
***********

Download the latest version of 'ax_normalize_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_normalize_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_normalize_path.m4).

License
*******

Copyright (C) 2008 Alexandre Duret-Lutz <adl@gnu.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_not_enable_frame_pointer
===========================

Synopsis
********

     AX_NOT_ENABLE_FRAME_POINTER ([shellvar])

Description
***********

add -enable-frame-pointer option, the default will add the gcc
-fomit-frame-pointer option to the shellvar (per default CFLAGS) and
remove the " -g " debuginfo option from it.  In other words, the default
is "-disable-frame-pointer"

Source Code
***********

Download the latest version of 'ax_not_enable_frame_pointer.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_not_enable_frame_pointer.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_not_enable_frame_pointer.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_numeric_namedlevel
=====================

Synopsis
********

     AX_NUMERIC_NAMEDLEVEL(VARNAME [,FROMVAR [,DEFAULT [,YESLEVEL]]])

Description
***********

The levelstring FROMVAR is expanded and checked for verbal names that
will map on to eight different levels - the VARNAME will receive this
numeric level where "all" maps to 7 (lower three bits set) higher levels
for 8 and 9 exist too.  This macro is a nice helper to convert user
input of a -with-opt=level into a numeric form that can be simply pushed
as a #define like with AC_DEFINE:

      default YESLEVEL = 2 /* including unknown levelspec */
      default DEFAULT  = 0 /* when named level is empty */
      default FROMVAR  = VARNAME

The DEFAULT value is used if the NAMED levelstring has become empty and
it is copied without further conversion - a default of "0" is used if
absent - identical to "no".  A "yes" will be set to the YESLEVEL - and
note that "yes" has "2" as its default value not "1".  (which comes from
its original use to set a "gcc -O2").

the mnemonic names are:

       9| insane |ultrasome|experimentalplus
       8| ultra  |ultra|experimental)
       7| all    |muchmore|somemanymore|manymoreplus
       6| most   |manymore|most)
       5| strict |somemore|almost
       4| more   |more
       3| extra  |manyplus|plusmuch|somemany|plusmany
       2| many   |many|much|(yes)
       1| some   |some|plus

note that a level can be constructed of (some|plus) = bit-0, (many|much)
= bit-1, (more) = bit-2, (ultra|experimental) = bit-3 at least in a
left-to-right order, ie.  plusmanymore=7

Example usage:

       AX_NUMERIC_NAMEDLEVEL(OPTLEVEL,with_optlevel,1,3)
       AC_DEFINE(OPTLEVEL)
       test "$GCC" = "yes" && CFLAGS="$CFLAGS -O$OPTLEVEL)

Source Code
***********

Download the latest version of 'ax_numeric_namedlevel.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_numeric_namedlevel.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_numeric_namedlevel.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_check_h
====================

Synopsis
********

     AX_OPEN62541_CHECK_H([HEADERS = `...see_below...'], [ACTION-IF-FOUND],
                          [ACTION-IF-NOT-FOUND])

Description
***********

Searches for the header file(s) of the open62541 library [1].

The open62541 library is a cmake-based project, that provides its header
files in one of two layouts:

       1) As individual files, e.g. ua_config.h, ua_server.h, ua_types.h, ...
       2) As a single amalgamation file open62541.h

The second case is enabled when configuring open62541 with the options
"-D UA_ENABLE_AMALGAMATION=true to" cmake, which seems to be preferred.
Code using the library can distinguish which layout is used by checking
for the macro "UA_NO_AMALGAMATION": if it is defined, the first layout
is used.

The AX_OPEN62541_CHECK_H macro checks first for the amalgamation and, if
that is not found, for the individual headers.  It defines
"UA_NO_AMALGAMATION" if necessary.

The individual headers to check for if no amalgamation is found can be
provided as a space-separated list in the first argument.  If that is
empty, it defaults to all files known to be contained in the
amalgamation as of v0.2.0 of the library:

       * ms_stdint.h
       * ua_client.h
       * ua_client_highlevel.h
       * ua_config.h
       * ua_config_standard.h
       * ua_connection.h
       * ua_constants.h
       * ua_job.h
       * ua_log.h
       * ua_log_stdout.h
       * ua_network_tcp.h
       * ua_nodeids.h
       * ua_server.h
       * ua_server_external_ns.h
       * ua_types.h
       * ua_types_generated.h
       * ua_types_generated_handling.h

If the with_open62541 shell variable is set to "no" (e.g.  from running
the AX_OPEN62541_PATH macro and the user giving configure the option
"-without-open62541"), then expands ACTION-IF-NOT-FOUND without any
checks.

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_check_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_check_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_check_h.m4).

License
*******

Copyright (C) 2016,2017 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_check_lib
======================

Synopsis
********

     AX_OPEN62541_CHECK_LIB([STATIC-FIRST = `no'], [ACTION-IF-FOUND],
                            [ACTION-IF-NOT-FOUND])

Description
***********

Searches for the library file of the open62541 library [1].

The open62541 library is a cmake-based project, that supplies both a
shared and a static library (with different names).  The
AX_OPEN62541_CHECK_LIB macro can search for both and adds the first one
found to the LIBS Makefile variable.  The search can be in either order
(shared first or static first), which is selectable on macro invocation
with the STATIC-FIRST parameter.  The user can change this default by
invoking configure with either the -with-open62541-shared or
-with-open62541-static option (the named one is checked first).

Either shared or static library can be excluded from checking completely
with the options -without-open62541-shared and
-without-open62541-static.

If the with_open62541 shell variable is set to "no" (e.g.  from running
the AX_OPEN62541_PATH macro and the user giving configure the option
"-without-open62541"), then expands ACTION-IF-NOT-FOUND without any
checks.  The same is true if both -without-open62541-shared and
-without-open62541-static are given.

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_check_lib.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_check_lib.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_check_lib.m4).

License
*******

Copyright (C) 2016 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_open62541_path
=================

Synopsis
********

     AX_OPEN62541_PATH()

Description
***********

Sets pre-processor and linker search paths for the open62541 library
[1].

The open62541 library is a cmake-based project, that is not always
installed to the system: it does not even provide an install target by
default.  In that case, the location of several directories need to be
added to the pre-processor and linker search paths:

       * -I<src>/deps
       * -I<src>/include
       * -I<src>/plugins
       * -I<build>/src_generated
       * -I<build>
       * -L<build>

Here "src" indicates the location of the library source directory and
"build" the location of the out-of-source build.

This macro provides the configure options -with-open62541=dir and
-with-open62541-build=dir to set the two directories.  This macro will
append to CPPFLAGS and LDFLAGS if a dir is supplied.  It will also
export LD_LIBRARY_PATH with the absolute path of the build dir for the
rest of the configure script to use and define a Makefile variable
OPEN62541_LDPATH, which contains
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:<abs_path_to_build> : this is intended
to be used for all commands that need to execute a program using the
library (e.g.  make check).  If paths are set, they are forwarded to
distcheck.

For -with-open62541, the dir is optional: if either the values "no"
(from -without-open62541) or "yes" (for no argument) are specified, this
macro does nothing but these values may be used by other code.  If
-with-open62541 is not specified, the variable with_open62541 is not
set.

For -with-open62541-build, the dir is compulsory.  -with-open62541-build
must not be given without also specifying -with-open62541.  If
-with-open62541 is given but -with-open62541-build is not, the default
value is "<src>/build".

[1]: <http://open62541.org/>

Source Code
***********

Download the latest version of 'ax_open62541_path.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_open62541_path.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_open62541_path.m4).

License
*******

Copyright (C) 2016,2017 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_openmp
=========

Synopsis
********

     AX_OPENMP([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])

Description
***********

This macro tries to find out how to compile programs that use OpenMP a
standard API and set of compiler directives for parallel programming
(see http://www-unix.mcs/)

On success, it sets the OPENMP_CFLAGS/OPENMP_CXXFLAGS/OPENMP_F77FLAGS
output variable to the flag (e.g.  -omp) used both to compile *and* link
OpenMP programs in the current language.

NOTE: You are assumed to not only compile your program with these flags,
but also link it with them as well.

If you want to compile everything with OpenMP, you should set:

       CFLAGS="$CFLAGS $OPENMP_CFLAGS"
       #OR#  CXXFLAGS="$CXXFLAGS $OPENMP_CXXFLAGS"
       #OR#  FFLAGS="$FFLAGS $OPENMP_FFLAGS"

(depending on the selected language).

The user can override the default choice by setting the corresponding
environment variable (e.g.  OPENMP_CFLAGS).

ACTION-IF-FOUND is a list of shell commands to run if an OpenMP flag is
found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
not found.  If ACTION-IF-FOUND is not specified, the default action will
define HAVE_OPENMP.

Source Code
***********

Download the latest version of 'ax_openmp.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_openmp.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_openmp.m4).

License
*******

Copyright (C) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
Copyright (C) 2015 John W. Peterson <jwpeterson@gmail.com>
Copyright (C) 2016 Nick R. Papior <nickpapior@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_patch_libtool_changing_cmds_ifs
==================================

Synopsis
********

     AX_PATCH_LIBTOOL_CHANGING_CMDS_IFS

Description
***********

Do a 'grep "^[a-z]*_cmds=" libtool' - these are "subroutines" encoded by
libtool.m4 into the generated libtool script.  Since libtool assumes
that there is no subroutine-facility in the shell invoked, these are not
actually subroutines, but actually a "list of commands".  This looks
correct, but the command separator is not ";" - it is "~", the tilde
character.

Now, grep again, look for 'grep 'IFS="~"' libtool' and see that libtool
scripting uses a for-loop on the command-list, i.e for cmd in
$some_cmds.  This works correctly when the IFS was modified, where IFS
stands for "input field separator" which is whitespace characters by
default.

The problem: I have some real-world filesystems where there are
directories using "~" inside of them, to be more to the point, it is a
change control management software that uses source repositories of the
form "path/master/project~version/src" and libtool has the tendency to
resolve any symlinks so that it will paste such path into the $_cmds
script when it gets evaluated a number of times.

This script is a workaround: I do not know why the ";" was not chosen as
the IFS, perhaps it has some weird interactions in some shells since it
is also the default record separator being one time bigger in context
than the argument separator.  I have made good success however with
using "?"  as the IFS, since there is no path-name that uses a question
mark, and there is no _cmds ever around that uses "?"  for some thing.

Oh yes, there are some usages of "*" to match shell-wise at the output
file of some tool, so that might have triggered the choice to not use
"?"  in the first place - but in real life it never occurred that a
_cmds script was created that has gone to use "?".  And so, this
ac-macro exchanges the s/~/?/g in configured _cmds variables and
replaces all occurrences of s/IFS="~"/IFS="?"/ - and it all works smooth
now.

Source Code
***********

Download the latest version of 'ax_patch_libtool_changing_cmds_ifs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_patch_libtool_changing_cmds_ifs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_patch_libtool_changing_cmds_ifs.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_bdb
===========

Synopsis
********

     AX_PATH_BDB([MINIMUM-VERSION], [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND])

Description
***********

This macro finds the latest version of Berkeley DB on the system, and
ensures that the header file and library versions match.  If
MINIMUM-VERSION is specified, it will ensure that the library found is
at least that version.

It determines the name of the library as well as the path to the header
file and library.  It will check both the default environment as well as
the default Berkeley DB install location.  When found, it sets BDB_LIBS,
BDB_CPPFLAGS, and BDB_LDFLAGS to the necessary values to add to LIBS,
CPPFLAGS, and LDFLAGS, as well as setting BDB_VERSION to the version
found (these variables are AC_SUBST). HAVE_DB_H is defined also.

The option -with-bdb-dir=DIR can be used to specify a specific Berkeley
DB installation to use.

An example of it's use is:

       AX_PATH_BDB([3],[
         LIBS="$BDB_LIBS $LIBS"
         LDFLAGS="$BDB_LDFLAGS $LDFLAGS"
         CPPFLAGS="$CPPFLAGS $BDB_CPPFLAGS"
       ])

which will locate the latest version of Berkeley DB on the system, and
ensure that it is version 3.0 or higher.

Details: This macro does not use either AC_CHECK_HEADERS or AC_CHECK_LIB
because, first, the functions inside the library are sometimes renamed
to contain a version code that is only available from the db.h on the
system, and second, because it is common to have multiple db.h and libdb
files on a system it is important to make sure the ones being used
correspond to the same version.  Additionally, there are many different
possible names for libdb when installed by an OS distribution, and these
need to be checked if db.h does not correspond to libdb.

The format for the list of library names to search came from the Cyrus
IMAP distribution, although they are generated dynamically here, and
only for the version found in db.h.

The macro AX_COMPARE_VERSION is required to use this macro, and should
be available from the Autoconf Macro Archive.

The author would like to acknowledge the generous and valuable feedback
from Guido Draheim, without which this macro would be far less robust,
and have poor and inconsistent cross compilation support.

Changes:

      1/5/05 applied patch from Rafal Rzepecki to eliminate compiler
             warning about unused variable, argv

Source Code
***********

Download the latest version of 'ax_path_bdb.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_bdb.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_bdb.m4).

License
*******

Copyright (C) 2008 Tim Toolan <toolan@ele.uri.edu>
Copyright (C) 2020 Bastien Roucaries <rouca@debian.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_generic
===============

Synopsis
********

     AX_PATH_GENERIC(LIBRARY,[MINIMUM-VERSION,[SED-EXPR-EXTRACTOR]],[ACTION-IF-FOUND],[ACTION-IF-NOT-FOUND],[CONFIG-SCRIPTS],[CFLAGS-ARG],[LIBS-ARG])

Description
***********

Runs the LIBRARY-config script and defines LIBRARY_CFLAGS and
LIBRARY_LIBS unless the user had predefined them in the environment.

The script must support '-cflags' and '-libs' args.  If MINIMUM-VERSION
is specified, the script must also support the '-version' arg.  If the
'-with-library-[exec-]prefix' arguments to ./configure are given, it
must also support '-prefix' and '-exec-prefix'.  Preferably use
CONFIG-SCRIPTS as config script, CFLAGS-ARG instead of '-cflags' and
LIBS-ARG instead of '-libs', if given.

The SED-EXPR-EXTRACTOR parameter represents the expression used in sed
to extract the version number.  Use it if your 'foo-config -version'
dumps something like 'Foo library v1.0.0 (alfa)' instead of '1.0.0'.

The macro respects LIBRARY_CONFIG, LIBRARY_CFLAGS and LIBRARY_LIBS
variables.  If the first one is defined, it specifies the name of the
config script to use.  If the latter two are defined, the script is not
ran at all and their values are used instead (if only one of them is
defined, the empty value of the remaining one is still used).

Example:

       AX_PATH_GENERIC(Foo, 1.0.0)

would run 'foo-config -version' and check that it is at least 1.0.0, if
successful the following variables would be defined and substituted:

       FOO_CFLAGS to `foo-config --cflags`
       FOO_LIBS   to `foo-config --libs`

Example:

       AX_PATH_GENERIC([Bar],,,[
          AC_MSG_ERROR([Cannot find Bar library])
       ])

would check for bar-config program, defining and substituting the
following variables:

       BAR_CFLAGS to `bar-config --cflags`
       BAR_LIBS   to `bar-config --libs`

Example:

       ./configure BAZ_LIBS=/usr/lib/libbaz.a

would link with a static version of baz library even if 'baz-config
-libs' returns just "-lbaz" that would normally result in using the
shared library.

This macro is a rearranged version of AC_PATH_GENERIC from Angus Lees.

Source Code
***********

Download the latest version of 'ax_path_generic.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_generic.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_generic.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_lib_pcre
================

Synopsis
********

     AX_PATH_LIB_PCRE [(A/NA)]

Description
***********

check for pcre lib and set PCRE_LIBS and PCRE_CFLAGS accordingly.

also provide -with-pcre option that may point to the $prefix of the pcre
installation - the macro will check $pcre/include and $pcre/lib to
contain the necessary files.

the usual two ACTION-IF-FOUND / ACTION-IF-NOT-FOUND are supported and
they can take advantage of the LIBS/CFLAGS additions.

Source Code
***********

Download the latest version of 'ax_path_lib_pcre.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_lib_pcre.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_lib_pcre.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_milter
==============

Synopsis
********

     AX_PATH_MILTER([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to automatically find the library libmilter.a and the
header file "libmilter/mfapi.h", which are required when compiling a
milter for Sendmail.  When successful, it sets the output variable
MILTER_LIBS to "-lmilter", MILTER_LDFLAGS to contain an -Lpathtolib
option, and MILTER_CPPFLAGS to contain an -Ipathtoinclude option, if
they are necessary.

The easiest way to use this macro is something like:

       AX_PATH_MILTER([8.12],[
         LIBS="$MILTER_LIBS $LIBS"
         LDFLAGS="$MILTER_LDFLAGS $LDFLAGS"
         CPPFLAGS="$CPPFLAGS $MILTER_CPPFLAGS"
       ],[
         AC_MSG_ERROR([required milter library and header not found])
       ])

If the macro is successful, it just adds any flags to the necessary
environment.  If it is not successful, it would likely be a fatal error,
because if an application is linking with libmilter.a, it is probably
because it is a milter.

There are two optional "-with" options for configure which are added.
If they are specified, they override any searching that is done.  They
are:

       --with-sendmail-base=<DIR>  This option is used to explicitly
              specify the base of the sendmail distribution.

       --with-sendmail-obj=<DIR>   The option is used to explicitly specify
              the "obj.*" subdirectory in the sendmail distribution
              that should be used.

When sendmail-base is not specified, the current environment is first
tested to see if the header and library are available, and if so
MILTER_LDFLAGS and MILTER_CPPFLAGS are left empty.

There are two places that are searched for the sendmail base directory.
The first location is one directory down from the current directory.  It
checks if there is a directory of the form sendmail-8.1*, limited to
version 8.12.x or higher, then chooses the directory with the highest
version number.  If that method does not succeed, it then looks in the
file /etc/mail/sendmail.cf for the directory it was built from, and uses
the base of that distribution.  If neither of these methods work, then
it fails.

There are two methods for finding the "obj.*" directory when it is not
specified.  The first is to try to run sendmail's Build program with the
-M option which will print out the name of the obj.  directory for the
tool in the directory where it is run from.  If this does not work, is
looks for the newest directory of the form "obj.*" in the sendmail base
directory.

Two addition output variables that are defined, whether or not the files
are found are SENDMAIL_BASE_DIR and SENDMAIL_OBJ_DIR, which are the
suspected location of the sendmail base directory and obj.*
subdirectory.

NOTE: POSIX threads MUST be configured BEFORE this function is called or
it will not find libmilter.a even if it exists.  The easiest way is to
use the AX_PTHREAD macro by Steven G. Johnson and Alejandro Forero
Cuervo which is available from the Autoconf Macro Archive.

Source Code
***********

Download the latest version of 'ax_path_milter.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_milter.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_milter.m4).

License
*******

Copyright (C) 2008 Tim Toolan <toolan@ele.uri.edu>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_path_missing
===============

Synopsis
********

     AX_PATH_MISSING(VARIABLE, PROG-TO-CHECK-FOR, WARNING-IF-NOT-FOUND, PATH)

Description
***********

Check whether program PROG-TO-CHECK-FOR exists in path.  If it is found,
set VARIABLE to the full path of PROG-TO-CHECK-FOR, otherwise warn using
the string WARNING-IF-NOT-FOUND and set VARIABLE to the full path of the
Automake missing script with PROG-TO-CHECK-FOR as the command to run.

A typical use is the following:

       AX_PATH_MISSING([AUTOGEN],[autogen],[autogen seems missing ...])

This macro is the combination of AC_PATH_PROG and AX_MISSING_PROG. If
you do not want to run AC_PATH_PROG, simply use AX_MISSING_PROG or
AM_MISSING.

Source Code
***********

Download the latest version of 'ax_path_missing.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_path_missing.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_path_missing.m4).

License
*******

Copyright (C) 2008 Noah Slater <nslater@bytesexual.org>
Copyright (C) 2008 Francesco Salvestrini <salvestrini@sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_perl_ext
===========

Synopsis
********

     AX_PERL_EXT

Description
***********

Fetches the linker flags and C compiler flags for compiling and linking
Perl binary extensions.  The macro substitutes PERL_EXT_PREFIX,
PERL_EXT_INC, PERL_EXT_LIB, PERL_EXT_CPPFLAGS, PERL_EXT_LDFLAGS and
PERL_EXT_DLEXT variables if Perl executable was found.  It also checks
the same variables before trying to retrieve them from the Perl
configuration.

       PERL_EXT_PREFIX: top-level perl installation path (--prefix)
       PERL_EXT_INC: XS include directory
       PERL_EXT_LIB: Perl extensions destination directory
       PERL_EXT_CPPFLAGS: C preprocessor flags to compile extensions
       PERL_EXT_LDFLAGS: linker flags to build extensions
       PERL_EXT_DLEXT: extensions suffix for perl modules (e.g. ".so")

Examples:

       AX_PERL_EXT
       if test x"$PERL" = x; then
          AC_ERROR(["cannot find Perl"])
       fi

Source Code
***********

Download the latest version of 'ax_perl_ext.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_ext.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_ext.m4).

License
*******

Copyright (C) 2011 Stanislav Sedov <stas@FreeBSD.org>
Copyright (C) 2014 Thomas Klausner <tk@giga.or.at>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1.  Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.

ax_perl_ext_flags
=================

Synopsis
********

     AX_PERL_EXT_FLAGS([CFLAGS-VARIABLE], [LDFLAGS-VARIABLE], [EXTRA-MODULES])
     AX_PERL_EXT_CFLAGS([CFLAGS-VARIABLE])
     AX_PERL_EXT_LDFLAGS([LDFLAGS-VARIABLE], [EXTRA-MODULES])

Description
***********

Fetches the linker flags and C compiler flags for compiling and linking
programs that embed a Perl interpreter.  If the EXTRA-MODULES argument
is submitted, it is a space separated list of extra modules to link.
The flags will be stored in the provided variables.

Examples:

       AX_PERL_EXT_FLAGS([PERLXS_CFLAGS], [PERLXS_LDFLAGS])
       AC_SUBST([PERLXS_CFLAGS])
       AC_SUBST([PERLXS_LDFLAGS])

       AX_PERL_EXT_CFLAGS([PERLXS_CFLAGS])
       AC_SUBST([PERLXS_CFLAGS])

       AX_PERL_EXT_LDFLAGS([PERLXS_LDFLAGS], [-std Socket])

Source Code
***********

Download the latest version of 'ax_perl_ext_flags.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_ext_flags.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_ext_flags.m4).

License
*******

Copyright (C) 2009 Mats Kindahl of Sun Microsystems <mats@sun.com>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1.  Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2.  Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3.  The name of the author may not be used to endorse or promote
products derived from this software without specific prior written
permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

ax_perl_module_version
======================

Synopsis
********

     AX_PERL_MODULE_VERSION([MODULE VERSION], [ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

Checks to see if the list of 'Module Version' are available in the
system.  If all the modules in the list are available ACTION-IF-TRUE is
executed.  Case one module is not available ACTION-IF-FALSE is executed
and the macro execution is aborted.  NOTE: Perl is needed.

Example:

       AX_PERL_MODULE_VERSION(CGI::Test 0.104 CGI::Ajax 0.694, ,
          AC_MSG_ERROR(Need some Perl modules))

Source Code
***********

Download the latest version of 'ax_perl_module_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_perl_module_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_perl_module_version.m4).

License
*******

Copyright (C) 2009 Marco Gomes <mpglesi@gmail.com>
Copyright (C) 2009 Ruben Fonseca <fonseka@gmail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pgsql_priv_root
==================

Synopsis
********

     AX_PGSQL_PRIV_ROOT(DB, USER, [HOST], [PASSWORD], [ACTION_IF_FAILED], [ACTION_IF_OK])

Description
***********

This macro checks whether the given PostgreSQL user has root privileges
(can create and drop databases) It is recommended to first call
AX_CHECK_PGSQL_DB, this makes it easier to locate the cause of error.
The macro AX_PROG_PGCLIENT is required by this one.

The variable $pgclient_root_call is set for later use in Makefiles, if
you'd like to make use of this, you must do

       AC_SUBST(pgclient_root_call)

after having called AX_CHECK_PGSQL_PRIV_ROOT. You can then do something
like the following in your Makefile.am:

       @pgclient_root_call@ -f file.sql

If you want the user to set the data, you should support something like
these configure options:

       AC_ARG_WITH(pgsql-host,
               [  --with-pgsql-host=HOST               server is running on HOST @<:@local socket@:>@],
               [pg_host=$withval], [pg_host=])

       AC_ARG_WITH(pgsql-db,
               [  --with-pgsql-db=DBNAME               use database DBNAME @<:@test@:>@],
               [pg_db=$withval], [pg_db=test])

       AC_ARG_WITH(pgsql-root-user,
               [  --with-pgsql-root-user=USER          use user USER, must have root (all) privileges @<:@postgres@:>@],
               [pg_root_user=$withval], [pg_root_user=postgres])

       AC_ARG_WITH(pgsql-password,
               [  --with-pgsql-password=PASSWORD       use password PASSWORD @<:@none@:>@],
               [pg_password=$withval], [pg_password=""])

You can then call the macro like this:

       AX_CHECK_PGSQL_PRIV_ROOT([$pg_db], [$pg_root_user], [$pg_host], [$pg_password], [AC_MSG_ERROR([We need root privileges on database!])])

Source Code
***********

Download the latest version of 'ax_pgsql_priv_root.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pgsql_priv_root.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pgsql_priv_root.m4).

License
*******

Copyright (C) 2008 Moritz Sinn <moritz@freesources.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_pkg_check_modules
====================

Synopsis
********

     AX_PKG_CHECK_MODULES(PREFIX, PUBLIC-MODULES, PRIVATE-MODULES, [ACTION-IF-FOUND], [ACTION-IF-NOT-FOUND], [PUBLIC-VARIABLE], [PRIVATE-VARIABLE])

Description
***********

A wrapper around PKG_CHECK_MODULES which splits the list of modules into
public and private dependencies, and produces two variables listing the
dependencies across all invocations of AX_PKG_CHECK_MODULES. These two
variables are exposed via AC_SUBST, and should be used in a pkg-config
file as the substituted values for Requires and Requires.private.

The PREFIX, PUBLIC-MODULES and PRIVATE-MODULES arguments should be
specified as for PKG_CHECK_MODULES, with the concatenation of
PUBLIC-MODULES and PRIVATE-MODULES equaling the LIST-OF-MODULES from
PKG_CHECK_MODULES. The ACTION-IF-FOUND and ACTION-IF-NOT-FOUND arguments
are optional, and should also be specified as for PKG_CHECK_MODULES.
ACTION-IF-FOUND is evaluated if the full LIST-OF-MODULES is found;
ACTION-IF-NOT-FOUND similarly.

PUBLIC-VARIABLE defaults to AX_PACKAGE_REQUIRES, and PRIVATE-VARIABLE
defaults to AX_PACKAGE_REQUIRES_PRIVATE. Both variables are AC_SUBST-ed
by this macro.

For example:

       AX_PKG_CHECK_MODULES([GLIB],[glib-2.0 gio-2.0],[gthread-2.0])
       AX_PKG_CHECK_MODULES([DBUS],[],[dbus-glib-1 >= 0.98 dbus-1])

results in the substitutions:

       AX_PACKAGE_REQUIRES="glib-2.0 gio-2.0"
       AX_PACKAGE_REQUIRES_PRIVATE="gthread-2.0 dbus-glib-1 >= 0.98 dbus-1"

and can be used with a template pkg-config file (.pc.in) using:

       Requires: @AX_PACKAGE_REQUIRES@
       Requires.private: @AX_PACKAGE_REQUIRES_PRIVATE@

Source Code
***********

Download the latest version of 'ax_pkg_check_modules.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_check_modules.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_check_modules.m4).

License
*******

Copyright (C) 2014 Philip Withnall <philip@tecnocode.co.uk>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pkg_mico
===========

Synopsis
********

     AX_PKG_MICO([X.X.X optional required])

Description
***********

This macro searches for a MICO installation on your system.  MICO (Mico
Is COrba) installs the file 'mico-setup.sh' under MICO_INSTALL_BASE/lib,
where MICO_INSTALL_BASE is probably /usr/local or /usr.  If nothing was
specified when calling configure or just -with-mico, it searches in
$prefix/lib:/usr/local/lib:/usr/lib The argument of s-with-mico
specifies the full pathname of the mico-setup.sh file.  For instance
-with-mico=/usr/local/mico-2.2.6/lib/mico-setup.sh.

If the version argument is given (e.g.  2.2.6), AX_PKG_MICO checks that
the mico package is this version number or higher.

The other optional argument to AX_PKG_MICO are 'optional' and
'required'.  by default, placing AX_PKG_MICO in your configure.in does
not enforce using mico, if it is not found on the system.  If MICO
existence is critical for the building of your package, then you
probably want to specify something like "AX_PKG_MICO(2.2.6 required)".
Then, even if the -with-mico was not specified on the command line of
the configure script, an error will be raised if mico was not found.

If the mico package is not found, abort configuration with error
message.

It defines the symbol MICOSETUP, MICOVERSION, MICOSHAREDDIR
MICO_INCLUDE, MICO_LIB and MICO_CXX if mico is found.  In addition, the
mico script mico-c++ (set in (MICO_CXX) is scaned for a string match
"-I.*ministl" and if foundMICO_USE_MINISTL is set to 1, otherwise to 0.

Example of use of these variables in your Makefile.in:

       INCLUDES += @MICO_INCLUDE@
       LDFLAGS += @MICO_LIB@

Source Code
***********

Download the latest version of 'ax_pkg_mico.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_mico.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_mico.m4).

License
*******

Copyright (C) 2008 Tal Shalif <tal@shalif.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_pkg_swig
===========

Synopsis
********

     AX_PKG_SWIG([major.minor.micro], [action-if-found], [action-if-not-found])

Description
***********

This macro searches for a SWIG installation on your system.  If found,
then SWIG is AC_SUBST'd; if not found, then $SWIG is empty.  If SWIG is
found, then SWIG_LIB is set to the SWIG library path, and AC_SUBST'd.

You can use the optional first argument to check if the version of the
available SWIG is greater than or equal to the value of the argument.
It should have the format: N[.N[.N]] (N is a number between 0 and 999.
Only the first N is mandatory.)  If the version argument is given (e.g.
1.3.17), AX_PKG_SWIG checks that the swig package is this version number
or higher.

As usual, action-if-found is executed if SWIG is found, otherwise
action-if-not-found is executed.

In configure.in, use as:

       AX_PKG_SWIG(1.3.17, [], [ AC_MSG_ERROR([SWIG is required to build..]) ])
       AX_SWIG_ENABLE_CXX
       AX_SWIG_MULTI_MODULE_SUPPORT
       AX_SWIG_PYTHON

Source Code
***********

Download the latest version of 'ax_pkg_swig.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_pkg_swig.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_pkg_swig.m4).

License
*******

Copyright (C) 2008 Sebastian Huber <sebastian-huber@web.de>
Copyright (C) 2008 Alan W. Irwin
Copyright (C) 2008 Rafael Laboissiere <rafael@laboissiere.net>
Copyright (C) 2008 Andrew Collier
Copyright (C) 2011 Murray Cumming <murrayc@openismus.com>
Copyright (C) 2018 Reini Urban <rurban@cpan.org>
Copyright (C) 2021 Vincent Danjean <Vincent.Danjean@ens-lyon.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prefix_config_h
==================

Synopsis
********

     AX_PREFIX_CONFIG_H [(OUTPUT-HEADER [,PREFIX [,ORIG-HEADER]])]

Description
***********

Generate an installable config.h.

A package should not normally install its config.h as a system header,
but if it must, this macro can be used to avoid namespace pollution by
making a copy of config.h with a prefix added to all the macro names.

Each "#define SOMEDEF" line of the configuration header has the given
prefix added, in the same case as the first character of the macro name.

Defaults:

       OUTPUT-HEADER = $PACKAGE-config.h
       PREFIX = $PACKAGE
       ORIG-HEADER, from AM_CONFIG_HEADER(config.h)

Your configure.ac script should contain both macros in this order.

Example:

       AC_INIT(config.h.in)        # config.h.in as created by "autoheader"
       AM_INIT_AUTOMAKE(testpkg, 0.1.1)    # makes #undef VERSION and PACKAGE
       AM_CONFIG_HEADER(config.h)          # prep config.h from config.h.in
       AX_PREFIX_CONFIG_H(mylib/_config.h) # prep mylib/_config.h from it..
       AC_MEMORY_H                         # makes "#undef NEED_MEMORY_H"
       AC_C_CONST_H                        # makes "#undef const"
       AC_OUTPUT(Makefile)                 # creates the "config.h" now
                                           # and also mylib/_config.h

If the argument to AX_PREFIX_CONFIG_H would have been omitted then the
default output file would have been called simply "testpkg-config.h",
but even under the name "mylib/_config.h" it contains prefix-defines
like

       #ifndef TESTPKG_VERSION
       #define TESTPKG_VERSION "0.1.1"
       #endif
       #ifndef TESTPKG_NEED_MEMORY_H
       #define TESTPKG_NEED_MEMORY_H 1
       #endif
       #ifndef _testpkg_const
       #define _testpkg_const _const
       #endif

and this "mylib/_config.h" can be installed along with other header
files, which is most convenient when creating a shared library (that has
some headers) whose functionality depends on features detected at
compile-time.  No need to invent some "mylib-confdefs.h.in" manually.

Note that some AC_DEFINEs that end up in the config.h file are actually
self-referential - e.g.  AC_C_INLINE, AC_C_CONST, and the AC_TYPE_OFF_T
say that they "will define inline|const|off_t if the system does not do
it by itself".  You might want to clean up about these - consider an
extra mylib/conf.h that reads something like:

       #include <mylib/_config.h>
       #ifndef _testpkg_const
       #define _testpkg_const const
       #endif

and then start using _testpkg_const in the header files.  That is also a
good thing to differentiate whether some library-user has starting to
take up with a different compiler, so perhaps it could read something
like this:

       #ifdef _MSC_VER
       #include <mylib/_msvc.h>
       #else
       #include <mylib/_config.h>
       #endif
       #ifndef _testpkg_const
       #define _testpkg_const const
       #endif

Source Code
***********

Download the latest version of 'ax_prefix_config_h.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prefix_config_h.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prefix_config_h.m4).

License
*******

Copyright (C) 2014 Reuben Thomas <rrt@sc3d.org>
Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2008 Marten Svantesson
Copyright (C) 2008 Gerald Point <Gerald.Point@labri.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prepend_flag
===============

Synopsis
********

     AX_PREPEND_FLAG(FLAG, [FLAGS-VARIABLE])

Description
***********

FLAG is added to the front of the FLAGS-VARIABLE shell variable, with a
space added in between.

If FLAGS-VARIABLE is not specified, the current language's flags (e.g.
CFLAGS) is used.  FLAGS-VARIABLE is not changed if it already contains
FLAG. If FLAGS-VARIABLE is unset in the shell, it is set to exactly
FLAG.

NOTE: Implementation based on AX_APPEND_FLAG.

Source Code
***********

Download the latest version of 'ax_prepend_flag.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prepend_flag.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prepend_flag.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>
Copyright (C) 2011 Maarten Bosmans <mkbosmans@gmail.com>
Copyright (C) 2018 John Zaitseff <J.Zaitseff@zap.org.au>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_print_to_file
================

Synopsis
********

     AX_PRINT_TO_FILE([FILE],[DATA])

Description
***********

Writes the specified data to the specified file.

Source Code
***********

Download the latest version of 'ax_print_to_file.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_print_to_file.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_print_to_file.m4).

License
*******

Copyright (C) 2008 Tom Howard <tomhoward@users.sf.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_printf_size_t
================

Synopsis
********

     AX_PRINTF_SIZE_T

Description
***********

Check for the appropriate printf() format string modifier to use with a
size_t argument.  If a suitable modifier is found, it is AC_DEFINE'd as
PRI_SIZE_T_MODIFIER, and can be used in C code as e.g.

       printf("Size = %" PRI_SIZE_T_MODIFIER "u bytes.\n", sizeof(foo));

If you use the PRIxNN macros from ISO C99's <inttypes.h>, you may wish
to define a supplemental set of macros along similar lines:

       #define PRIdSIZE PRI_SIZE_T_MODIFIER "d"
       #define PRIiSIZE PRI_SIZE_T_MODIFIER "i"
       #define PRIoSIZE PRI_SIZE_T_MODIFIER "o"
       #define PRIuSIZE PRI_SIZE_T_MODIFIER "u"
       #define PRIxSIZE PRI_SIZE_T_MODIFIER "x"
       #define PRIXSIZE PRI_SIZE_T_MODIFIER "X"

Note: This macro invokes a test program to check whether a given format
modifier is understood by the system's sprintf() function.  If the user
is cross-compiling, then this check cannot be performed, and thereby
PRI_SIZE_T_MODIFIER will remain undefined.

Source Code
***********

Download the latest version of 'ax_printf_size_t.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_printf_size_t.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_printf_size_t.m4).

License
*******

Copyright (C) 2012 Daniel Richard G. <skunk@iSKUNK.ORG>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_apache
==============

Synopsis
********

     AX_PROG_APACHE([version])

Description
***********

This macro searches for an installed apache server.  If nothing was
specified when calling configure or just -with-apache, it searches in
/usr/local/apache/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin
The argument of -with-apache specifies the full pathname of the httpd
argument.  For instance -with-apache=/usr/sbin/httpd.

If the version argument is given, AX_PROG_APACHE checks that the apache
server is this version number or higher.

If the apache server is not found, abort configuration with error
message.

It defines the symbol APACHE if the server is found.

Files using apache should do the following:

       @APACHE@ -d /etc/httpd

It defines the symbol APACHE_MODULES if a directory containing mod_env.*
is found in the default server root directory (obtained with httpd -V).

The httpd.conf file listing modules to be loaded dynamically can use
@APACHE_MODULES@ to grab them in the appropriate sub directory.  For
instance:

      ...
      <IfModule mod_so.c>
      LoadModule env_module         @APACHE_MODULES@/mod_env.so
      LoadModule config_log_module  @APACHE_MODULES@/mod_log_config.so
      ...

Source Code
***********

Download the latest version of 'ax_prog_apache.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_apache.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_apache.m4).

License
*******

Copyright (C) 2008 Loic Dachary <loic@senga.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_bison
=============

Synopsis
********

     AX_PROG_BISON(ACTION-IF-TRUE,ACTION-IF-FALSE)

Description
***********

Check whether bison is the parser generator.  Run ACTION-IF-TRUE if
successful, ACTION-IF-FALSE otherwise

Source Code
***********

Download the latest version of 'ax_prog_bison.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_bison.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_bison.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_bison_version
=====================

Synopsis
********

     AX_PROG_BISON_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that bison version is greater or equal to the version
indicated.  If true the shell commands in ACTION-IF-TRUE are executed.
If not the shell commands in commands in ACTION-IF-TRUE are executed.
If not the shell commands in ACTION-IF-FALSE are run.  Note if $BISON is
not set (for example by running AC_CHECK_PROG or AC_PATH_PROG) the macro
will fail.

Example:

       AC_PATH_PROG([BISON],[bison])
       AX_PROG_BISON_VERSION([3.0.2],[ ... ],[ ... ])

This will check to make sure that the bison you have is at least version
3.0.2 or greater.

NOTE: This macro uses the $BISON variable to perform the check.

Source Code
***********

Download the latest version of 'ax_prog_bison_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_bison_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_bison_version.m4).

License
*******

Copyright (C) 2015 Jonathan Rajotte-Julien <jonathan.rajotte-julien@efficios.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_char_subscripts
==========================

Synopsis
********

     AX_PROG_CC_CHAR_SUBSCRIPTS(substvar [,hard])

Description
***********

Try to find a compiler option that enables usage of char-type to index a
value-field.  This one needs unsigned-chars and it must suppress
warnings about usage of chars for subscripting.  for gcc -funsigned-char
-Wno-char-subscripts

Currently this macro knows about GCC. hopefully will evolve to use:
Solaris C compiler, Digital Unix C compiler, C for AIX Compiler, HP-UX C
compiler, and IRIX C compiler.

Source Code
***********

Download the latest version of 'ax_prog_cc_char_subscripts.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_char_subscripts.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_char_subscripts.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_for_build
====================

Synopsis
********

     AX_PROG_CC_FOR_BUILD

Description
***********

This macro searches for a C compiler that generates native executables,
that is a C compiler that surely is not a cross-compiler.  This can be
useful if you have to generate source code at compile-time like for
example GCC does.

The macro sets the CC_FOR_BUILD and CPP_FOR_BUILD macros to anything
needed to compile or link (CC_FOR_BUILD) and preprocess (CPP_FOR_BUILD).
The value of these variables can be overridden by the user by specifying
a compiler with an environment variable (like you do for standard CC).

It also sets BUILD_EXEEXT and BUILD_OBJEXT to the executable and object
file extensions for the build platform, and GCC_FOR_BUILD to 'yes' if
the compiler we found is GCC. All these variables but GCC_FOR_BUILD are
substituted in the Makefile.

Source Code
***********

Download the latest version of 'ax_prog_cc_for_build.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_for_build.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_for_build.m4).

License
*******

Copyright (C) 2008 Paolo Bonzini <bonzini@gnu.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cc_mpi
==============

Synopsis
********

     AX_PROG_CC_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile C programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_CC and will replace the
standard variable CC with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard C compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard C compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])
       #
       AX_PROG_CC_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_cc_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cc_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cc_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_cp_s
============

Synopsis
********

     AX_PROG_CP_S

Description
***********

Check how to make a copy by creating a symbolic link to the original -
it defines the variable CP_S for further use, which you should in fact
treat like it used to be with be LN_S. The actual value is assured to be
either LN_S (if the filesystem supports symbolic links) or CP (if the
filesystem does not know about symbolic links and you need a copy of
original file to have the same text in both places).  In a gnu
environment it will simply set CP_S="cp -s" since the gnu "cp"-command
has the "-s" flag.  You shall not try to use this command on directories
since it would require a "-r" in the case of a copy that is not
supported explicitly here.  (I'm not sure if some "cp"-commands out
there would barf at usage of "-r" on a normal file).

Use CP_S to create a copy of read-only data - if your filesystem
supports it then a symbolic link is created - a process that is quicker
and space-saving.  However, if the target fs does not support symbolic
links, just copy the data.  Unlike ac_prog_ln_s this macro will never
fail to set the CP_S ac_subst to something that works.

Source Code
***********

Download the latest version of 'ax_prog_cp_s.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cp_s.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cp_s.m4).

License
*******

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_crontab
===============

Synopsis
********

     AX_PROG_CRONTAB

Description
***********

Check for the program crontab, if exists let script continue, else pops
an error message

Besides checking existence, this macro also set these environment
variables upon completion:

       CRONTAB = which crontab

Source Code
***********

Download the latest version of 'ax_prog_crontab.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_crontab.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_crontab.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_cxx_for_build
=====================

Synopsis
********

     AX_PROG_CXX_FOR_BUILD

Description
***********

This macro searches for a C++ compiler that generates native
executables, that is a C++ compiler that surely is not a cross-compiler.
This can be useful if you have to generate source code at compile-time
like for example GCC does.

The macro sets the CXX_FOR_BUILD and CXXCPP_FOR_BUILD macros to anything
needed to compile or link (CXX_FOR_BUILD) and preprocess
(CXXCPP_FOR_BUILD). The value of these variables can be overridden by
the user by specifying a compiler with an environment variable (like you
do for standard CXX).

Source Code
***********

Download the latest version of 'ax_prog_cxx_for_build.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cxx_for_build.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cxx_for_build.m4).

License
*******

Copyright (C) 2008 Paolo Bonzini <bonzini@gnu.org>
Copyright (C) 2012 Avionic Design GmbH

Based on the AX_PROG_CC_FOR_BUILD macro by Paolo Bonzini.

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_cxx_mpi
===============

Synopsis
********

     AX_PROG_CXX_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile C++ programs that use MPI
(Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_CXX and will replace the
standard variable CXX with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard C compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard C compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_CXX_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_cxx_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_cxx_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_cxx_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_date
============

Synopsis
********

     AX_PROG_DATE()

Description
***********

This macro tries to determine the type of the date (1) command and some
of its non-standard capabilities.

The type is determined as follow:

       * If the version string contains "GNU", then:
         - The variable ax_cv_prog_date_gnu is set to "yes".
         - The variable ax_cv_prog_date_type is set to "gnu".

       * If date supports the "-v 1d" option, then:
         - The variable ax_cv_prog_date_bsd is set to "yes".
         - The variable ax_cv_prog_date_type is set to "bsd".

       * If both previous checks fail, then:
         - The variable ax_cv_prog_date_type is set to "unknown".

The following capabilities of GNU date are checked:

       * If date supports the --date arg option, then:
         - The variable ax_cv_prog_date_gnu_date is set to "yes".

       * If date supports the --utc arg option, then:
         - The variable ax_cv_prog_date_gnu_utc is set to "yes".

The following capabilities of BSD date are checked:

       * If date supports the -v 1d  option, then:
         - The variable ax_cv_prog_date_bsd_adjust is set to "yes".

       * If date supports the -r arg option, then:
         - The variable ax_cv_prog_date_bsd_date is set to "yes".

All the aforementioned variables are set to "no" before a check is
performed.

Source Code
***********

Download the latest version of 'ax_prog_date.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_date.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_date.m4).

License
*******

Copyright (C) 2017 Enrico M. Crisostomo <enrico.m.crisostomo@gmail.com>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_dotnetcore_version
==========================

Synopsis
********

     AX_PROG_DOTNETCORE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that .NET Core supports the version indicated.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  The $dotnetcore_version variable
will be filled with the detected version.

This macro uses the $DOTNETCORE variable to perform the check.  If
$DOTNETCORE is not set prior to calling this macro, the macro will fail.

Example:

       AC_PATH_PROG([DOTNETCORE],[dotnet])
       AC_PROG_DOTNETCORE_VERSION([1.0.2],[ ... ],[ ... ])

Searches for .NET Core, then checks if at least version 1.0.2 is
present.

Source Code
***********

Download the latest version of 'ax_prog_dotnetcore_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_dotnetcore_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_dotnetcore_version.m4).

License
*******

Copyright (C) 2016 Jens Geyer <jensg@apache.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_doxygen
===============

Synopsis
********

     DX_INIT_DOXYGEN(PROJECT-NAME, [DOXYFILE-PATH], [OUTPUT-DIR], ...)
     DX_DOXYGEN_FEATURE(ON|OFF)
     DX_DOT_FEATURE(ON|OFF)
     DX_HTML_FEATURE(ON|OFF)
     DX_CHM_FEATURE(ON|OFF)
     DX_CHI_FEATURE(ON|OFF)
     DX_MAN_FEATURE(ON|OFF)
     DX_RTF_FEATURE(ON|OFF)
     DX_XML_FEATURE(ON|OFF)
     DX_PDF_FEATURE(ON|OFF)
     DX_PS_FEATURE(ON|OFF)

Description
***********

The DX_*_FEATURE macros control the default setting for the given
Doxygen feature.  Supported features are 'DOXYGEN' itself, 'DOT' for
generating graphics, 'HTML' for plain HTML, 'CHM' for compressed HTML
help (for MS users), 'CHI' for generating a separate .chi file by the
.chm file, and 'MAN', 'RTF', 'XML', 'PDF' and 'PS' for the appropriate
output formats.  The environment variable DOXYGEN_PAPER_SIZE may be
specified to override the default 'a4wide' paper size.

By default, HTML, PDF and PS documentation is generated as this seems to
be the most popular and portable combination.  MAN pages created by
Doxygen are usually problematic, though by picking an appropriate subset
and doing some massaging they might be better than nothing.  CHM and RTF
are specific for MS (note that you can't generate both HTML and CHM at
the same time).  The XML is rather useless unless you apply specialized
post-processing to it.

The macros mainly control the default state of the feature.  The use can
override the default by specifying -enable or -disable.  The macros
ensure that contradictory flags are not given (e.g.,
-enable-doxygen-html and -enable-doxygen-chm, -enable-doxygen-anything
with -disable-doxygen, etc.)  Finally, each feature will be
automatically disabled (with a warning) if the required programs are
missing.

Once all the feature defaults have been specified, call DX_INIT_DOXYGEN
with the following parameters: a one-word name for the project for use
as a filename base etc., an optional configuration file name (the
default is '$(srcdir)/Doxyfile', the same as Doxygen's default), and an
optional output directory name (the default is 'doxygen-doc').  To run
doxygen multiple times for different configuration files and output
directories provide more parameters: the second, forth, sixth, etc
parameter are configuration file names and the third, fifth, seventh,
etc parameter are output directories.  No checking is done to catch
duplicates.

Automake Support

The DX_RULES substitution can be used to add all needed rules to the
Makefile.  Note that this is a substitution without being a variable:
only the @DX_RULES@ syntax will work.

The provided targets are:

       doxygen-doc: Generate all doxygen documentation.

       doxygen-run: Run doxygen, which will generate some of the
                    documentation (HTML, CHM, CHI, MAN, RTF, XML)
                    but will not do the post processing required
                    for the rest of it (PS, PDF).

       doxygen-ps:  Generate doxygen PostScript documentation.

       doxygen-pdf: Generate doxygen PDF documentation.

Note that by default these are not integrated into the automake targets.
If doxygen is used to generate man pages, you can achieve this
integration by setting man3_MANS to the list of man pages generated and
then adding the dependency:

       $(man3_MANS): doxygen-doc

This will cause make to run doxygen and generate all the documentation.

The following variable is intended for use in Makefile.am:

       DX_CLEANFILES = everything to clean.

Then add this variable to MOSTLYCLEANFILES.

Source Code
***********

Download the latest version of 'ax_prog_doxygen.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_doxygen.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_doxygen.m4).

License
*******

Copyright (C) 2009 Oren Ben-Kiki <oren@ben-kiki.org>
Copyright (C) 2015 Olaf Mandel <olaf@mandel.name>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_emacs
=============

Synopsis
********

     AX_PROG_EMACS

Description
***********

This macro allows the end user to specify a particular Emacs executable
via a configure script command-line arg.  For example:

       ./configure EMACS=$HOME/build/GNU/emacs/src/emacs

It also arranges to mention env var EMACS in the './configure -help'
output.  See info node "(autoconf) Generic Programs" for details.

More precisely...

If env var EMACS is set, try to use its value directly, but avoid
getting fooled by value 't' (set by older Emacsen for subprocesses).  If
no joy from the environment, search for "emacs" via AC_CHECK_PROG. If
still no joy, display "Emacs not found; required!"  and make configure
exit failurefully.  Otherwise, set shell var EMACS and AC_SUBST it, too.

Source Code
***********

Download the latest version of 'ax_prog_emacs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_emacs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_emacs.m4).

License
*******

Copyright (C) 2016-2017 Thien-Thi Nguyen

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_f77_mpi
===============

Synopsis
********

     AX_PROG_F77_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile Fortran77 programs that use
MPI (Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_F77 and will replace the
standard variable F77 with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard F77 compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard F77 compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_F77_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_f77_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_f77_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_f77_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fasm
============

Synopsis
********

     AX_PROG_FASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the FASM assembler and sets the variable "fasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_FASM()
       AX_PROG_FASM([fasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_fasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fasm.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fasm_opt
================

Synopsis
********

     AX_PROG_FASM_OPT(option, var_name)

Description
***********

This macro checks if the FASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_FASM_OPT([-m 256], [FASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_fasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fasm_opt.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fc_mpi
==============

Synopsis
********

     AX_PROG_FC_MPI([MPI-WANTED-TEST[, ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]]])

Description
***********

This macro tries to find out how to compile Fortran77 programs that use
MPI (Message Passing Interface), a standard API for parallel process
communication (see http://www-unix.mcs.anl.gov/mpi/).  The macro has to
be used instead of the standard macro AC_PROG_FC and will replace the
standard variable FC with the found compiler.

MPI-WANTED-TEST is used to test whether MPI is actually wanted by the
user.  If MPI-WANTED_TEST is omitted or if it succeeds, the macro will
try to find out how to use MPI, if it fails, the macro will call
AC_PROG_CC to find a standard C compiler instead.

When MPI is found, ACTION-IF-FOUND will be executed, if MPI is not found
(or MPI-WANTED-TEST fails) ACTION-IF-NOT-FOUND is executed.  If
ACTION-IF-FOUND is not set, the macro will define HAVE_MPI.

The following example demonstrates usage of the macro:

       # If --with-mpi=auto is used, try to find MPI, but use standard FC compiler if it is not found.
       # If --with-mpi=yes is used, try to find MPI and fail if it isn't found.
       # If --with-mpi=no is used, use a standard FC compiler instead.
       AC_ARG_WITH(mpi, [AS_HELP_STRING([--with-mpi],
           [compile with MPI (parallelization) support. If none is found,
           MPI is not used. Default: auto])
       ],,[with_mpi=auto])

       AX_PROG_FC_MPI([test x"$with_mpi" != xno],[use_mpi=yes],[
         use_mpi=no
         if test x"$with_mpi" = xyes; then
           AC_MSG_FAILURE([MPI compiler requested, but couldn't use MPI.])
         else
           AC_MSG_WARN([No MPI compiler found, won't use MPI.])
         fi
       ])

Source Code
***********

Download the latest version of 'ax_prog_fc_mpi.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fc_mpi.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fc_mpi.m4).

License
*******

Copyright (C) 2010,2011 Olaf Lenz <olenz@icp.uni-stuttgart.de>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_fig2dev
===============

Synopsis
********

     AX_PROG_FIG2DEV

Description
***********

If 'fig2dev' is found, sets the output variable 'FIG2DEV' to 'fig2dev',
and 'FIG2DEV_ESPLANG' to the graphics language which can be used to
produce Encapsulated PostScript.  Older versions of 'fig2dev' produce
EPS with '-Lps' and new versions with '-Leps', this macro finds out the
correct language option automatically.

Source Code
***********

Download the latest version of 'ax_prog_fig2dev.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_fig2dev.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_fig2dev.m4).

License
*******

Copyright (C) 2008 Ville Laurikari <vl@iki.fi>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_flex
============

Synopsis
********

     AX_PROG_FLEX(ACTION-IF-TRUE,ACTION-IF-FALSE)

Description
***********

Check whether flex is the scanner generator.  Run ACTION-IF-TRUE if
successful, ACTION-IF-FALSE otherwise

Source Code
***********

Download the latest version of 'ax_prog_flex.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_flex.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_flex.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copyright (C) 2010 Diego Elio Petteno' <flameeyes@gmail.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_flex_version
====================

Synopsis
********

     AX_PROG_FLEX_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that flex version is greater or equal to the version
indicated.  If true the shell commands in ACTION-IF-TRUE are executed.
If not the shell commands in commands in ACTION-IF-TRUE are executed.
If not the shell commands in ACTION-IF-FALSE are run.  Note if $FLEX is
not set (for example by running AC_CHECK_PROG or AC_PATH_PROG) the macro
will fail.

Example:

       AC_PATH_PROG([FLEX],[flex])
       AX_PROG_FLEX_VERSION([2.5.39],[ ... ],[ ... ])

This will check to make sure that the flex you have is at least version
2.5.39 or greater.

NOTE: This macro uses the $FLEX variable to perform the check.

Source Code
***********

Download the latest version of 'ax_prog_flex_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_flex_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_flex_version.m4).

License
*******

Copyright (C) 2015 Jonathan Rajotte-Julien <jonathan.rajotte-julien@efficios.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_gjs
===========

Synopsis
********

     AX_PROG_GJS

Description
***********

AX_PROG_GJS checks for the presence of the JavaScript interpreter GJS
(https://wiki.gnome.org/Projects/Gjs) in pkg-config or in the path.  If
it is not found, an error is issued and configure is halted.  If it is
found, the path of the interpreter is placed into a variable named GJS,
which is declared precious.

Source Code
***********

Download the latest version of 'ax_prog_gjs.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_gjs.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_gjs.m4).

License
*******

Copyright (C) 2013, 2016 Endless Mobile, Inc.; contributed by Philip Chimento <philip@endlessm.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_guile_version
=====================

Synopsis
********

     AX_PROG_GUILE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that guile supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  Note if $GUILE is not set (for example by
running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([GUILE],[guile])
       AC_PROG_GUILE_VERSION([1.6.0],[ ... ],[ ... ])

This will check to make sure that the guile you have supports at least
version 1.6.0.

NOTE: This macro uses the $GUILE variable to perform the check.
AX_WITH_GUILE can be used to set that variable prior to running this
macro.  The $GUILE_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_guile_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_guile_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_guile_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_haxe_version
====================

Synopsis
********

     AX_PROG_HAXE_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that haxe supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  The $HAXE_VERSION variable will be filled with
the detected version.

This macro uses the $HAXE variable to perform the check.  If $HAXE is
not set prior to calling this macro, the macro will fail.

Example:

       AC_PATH_PROG([HAXE],[haxe])
       AC_PROG_HAXE_VERSION([3.1.3],[ ... ],[ ... ])

Searches for Haxe, then checks if at least version 3.1.3 is present.

Source Code
***********

Download the latest version of 'ax_prog_haxe_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_haxe_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_haxe_version.m4).

License
*******

Copyright (C) 2015 Jens Geyer <jensg@apache.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_help2man
================

Synopsis
********

     AX_PROG_HELP2MAN([program list], [man directory prefix], [binary prefix])

Description
***********

AX_PROG_HELP2MAN is a macro designed to facilitate usage of help2man.
It may take three optional arguments:

1.  <program list>: comma-separated m4 list of input programs

Specifies the list of input programs which shall be used to produce man
pages using help2man.  If no value is specified, the macro assumes that
the sole target will be named $(PACKAGE_NAME). Thus, the two following
lines are equivalent:

       AX_PROG_HELP2MAN
       AX_PROG_HELP2MAN([\$(PACKAGE_NAME)])

2.  <man directory prefix>: directory prefix of the man pages directory

Sets AX_HELP2MAN_PREFIX_MANS to <man directory prefix>.  Defaults to
'doc/man/man1' if no value is provided.  Note that
AX_HELP2MAN_PREFIX_MANS will always be a subdirectory of the build
directory.

3.  <binary prefix>:

Sets AX_HELP2MAN_PREFIX_BIN to <binary prefix>.  Defaults to
'$(top_builddir)' if no value is provided.  The two following lines are
equivalent:

       AX_PROG_HELP2MAN([subdir/program1, subdir/program2])
       AX_PROG_HELP2MAN([program1, program2], [], [\$(top_builddir)/subdir])

The macro:

- checks that help2man is available on the system.

- provides the configure option -disable-help2man.

- sets the output variable ax_help2man_MANS to the list of man pages
that shall be generated.

- sets the automake conditional HAVE_HELP2MAN

- sets the substitution variable AX_HELP2MAN_RULES to the required make
rules, targets and recipes.

Further detail on the macro can be found after the minimal working
example.  Here is a minimal working example:

       # configure.ac:
       AX_PROG_HELP2MAN

       # Makefile.am:
       if HAVE_HELP2MAN
       man1_MANS = $(ax_help2man_MANS)
       @AX_HELP2MAN_RULES@
       endif

This minimal working example shall work under the following assumptions:

1.  the aforementioned binary has the same name as the project

2.  the project produces a single binary at the root of the build
directory

3.  the man page shall be generated into the doc/man/man1 directory

Note that adding ax_help2man_MANS to man1_MANS is not needed if the man
page generation is not mandatory.

The AX_HELP2MAN_RULES substitution variable shall contain:

- a recipe to create, if necessary, the destination directory.

- a generic rule to produce the manpages.

This rule targets the contents of the variable ax_help2man_MANS and its
recipe shall be akin to the following:

       $(HELP2MAN) -l -N --output="$@" --name="$(shell basename $<)" "$(shell dirname $<)/$(shell basename $<)"

Errors from this rule are ignored.

- rules for each input program and target man page.

For each input program, a rule akin to the following shall be available:

       $(AX_HELP2MAN_PREFIX_MANS)/program.1: $(AX_HELP2MAN_PREFIX_BIN)/path/to/program

The macro assumes that all man pages shall be generated into the same
directory (AX_HELP2MAN_PREFIX_MANS) and that all input programs can be
found in the same directory (AX_HELP2MAN_PREFIX_BIN). If a subset of the
inputs or outputs have different paths (for instance one of the inputs
is a script available in $(top_srcdir) whereas the other inputs are
programs compiled at build time), it can be customized in the
Makefile.am: the target man page must be added to ax_help2man_MANS, so
that it becomes a target of the generic rule for man pages and a rule
must be added to specify its prerequisite:

       ax_help2man_MANS += path/to/output/man/page.1
       path/to/output/man/page.1: path/to/input/program.1

Here is a full example for a project where binaries 'program1' and
'program2' are compiled at build time whereas 'script' is available in
the source tree:

       # configure.ac:
         AX_PROG_HELP2MAN([program1, program2])

       # Makefile.am:
         if HAVE_HELP2MAN
         man1_MANS = $(ax_help2man_MANS)
         @AX_HELP2MAN_RULES@
         ax_help2man_MANS += $(AX_HELP2MAN_PREFIX_MANS)/script.1
         $(AX_HELP2MAN_PREFIX_MANS)/script.1: $(top_srcdir)/script
         endif

Note that this macro should not be called more than once.

Source Code
***********

Download the latest version of 'ax_prog_help2man.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_help2man.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_help2man.m4).

License
*******

Copyright (C) 2017 Harenome Ranaivoarivony-Razanajato <ranaivoarivony-razanajato@hareno.me>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

Under Section 7 of GPL version 3, you are granted additional permissions
described in the Autoconf Configure Script Exception, version 3.0, as
published by the Free Software Foundation.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

ax_prog_hla
===========

Synopsis
********

     AX_PROG_HLA([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the HLA assembler and sets the variable "hla" to
the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_HLA()
       AX_PROG_HLA([hla_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_hla.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_hla.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_hla.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_hla_opt
===============

Synopsis
********

     AX_PROG_HLA_OPT(option, var_name)

Description
***********

This macro checks if the HLA assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_HLA_OPT([-v], [HLA_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_hla_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_hla_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_hla_opt.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_httpd
=============

Synopsis
********

     AX_PROG_HTTPD

Description
***********

Check for Apache's 'httpd', let script continue if exists & works, pops
up error message if not.

Testing of functionality is by checking its compile settings

Besides checking existence, this macro also set these environment
variables upon completion:

       HTTPD                    = which httpd
       HTTPD_ROOT               = Apache's root directory, specified when compiled / run with -d option
       HTTPD_SERVER_ROOT        = Directory for Apache's essential files, e.g. access logs / error logs / modules / scripts.
       HTTPD_SERVER_CONFIG_FILE = Full-path of the 'httpd.conf' file
       HTTPD_USER               = Which user that httpd runs as
       HTTPD_GROUP              = Which group that httpd runs as
       HTTPD_DOC_HOME           = Document directory, taken as the first DocumentRoot path found in httpd.conf
       HTTPD_SCRIPT_HOME        = CGI script directory, taken as the first ScriptAlias path found in httpd.conf

Source Code
***********

Download the latest version of 'ax_prog_httpd.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_httpd.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_httpd.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_jar
===========

Synopsis
********

     AX_PROG_JAR

Description
***********

AX_PROG_JAR tests for an existing jar program.  It uses the environment
variable JAR then tests in sequence various common jar programs.

If you want to force a specific compiler:

- at the configure.in level, set JAR=yourcompiler before calling
AX_PROG_JAR

- at the configure level, setenv JAR

You can use the JAR variable in your Makefile.in, with @JAR@.

Note: This macro depends on the autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download that whole set, some macros
depend on other.  Unfortunately, the autoconf archive does not support
the concept of set of macros, so I had to break it for submission.

The general documentation of those macros, as well as the sample
configure.in, is included in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_jar.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_jar.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_jar.m4).

License
*******

Copyright (C) 2008 Egon Willighagen <e.willighagen@science.ru.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_java
============

Synopsis
********

     AX_PROG_JAVA

Description
***********

Here is a summary of the main macros:

AX_PROG_JAVAC: finds a Java compiler.

AX_PROG_JAVA: finds a Java virtual machine.

AX_CHECK_CLASS: finds if we have the given class (beware of CLASSPATH!).

AX_CHECK_RQRD_CLASS: finds if we have the given class and stops
otherwise.

AX_TRY_COMPILE_JAVA: attempt to compile user given source.

AX_TRY_RUN_JAVA: attempt to compile and run user given source.

AX_JAVA_OPTIONS: adds Java configure options.

AX_PROG_JAVA tests an existing Java virtual machine.  It uses the
environment variable JAVA then tests in sequence various common Java
virtual machines.  For political reasons, it starts with the free ones.
You *must* call [AX_PROG_JAVAC] before.

If you want to force a specific VM:

- at the configure.in level, set JAVA=yourvm before calling AX_PROG_JAVA

       (but after AC_INIT)

- at the configure level, setenv JAVA

You can use the JAVA variable in your Makefile.in, with @JAVA@.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

TODO: allow to exclude virtual machines (rationale: most Java programs
cannot run with some VM like kaffe).

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.

A Web page, with a link to the latest CVS snapshot is at
<http://www.internatif.org/bortzmeyer/autoconf-Java/>.

This is a sample configure.in Process this file with autoconf to produce
a configure script.

       AC_INIT(UnTag.java)

       dnl Checks for programs.
       AC_CHECK_CLASSPATH
       AX_PROG_JAVAC
       AX_PROG_JAVA

       dnl Checks for classes
       AX_CHECK_RQRD_CLASS(org.xml.sax.Parser)
       AX_CHECK_RQRD_CLASS(com.jclark.xml.sax.Driver)

       AC_OUTPUT(Makefile)

Source Code
***********

Download the latest version of 'ax_prog_java.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_java_cc
===============

Synopsis
********

     AX_PROG_JAVA_CC

Description
***********

Finds the appropriate java compiler on your path.  By preference the
java compiler is gcj, then jikes then javac.

The macro can take one argument specifying a space separated list of
java compiler names.

For example:

       AX_PROG_JAVA_CC(javac, gcj)

The macro also sets the compiler options variable: JAVA_CC_OPTS to
something sensible:

      - for GCJ it sets it to: @GCJ_OPTS@
        (if GCJ_OPTS is not yet defined then it is set to "-C")

      - no other compiler has applicable options yet

Here's an example configure.in:

       AC_INIT(Makefile.in)
       AX_PROG_JAVA_CC()
       AC_OUTPUT(Makefile)
       dnl End.

And here's the start of the Makefile.in:

       PROJECT_ROOT      := @srcdir@
       # Tool definitions.
       JAVAC             := @JAVA_CC@
       JAVAC_OPTS        := @JAVA_CC_OPTS@
       JAR_TOOL          := @jar_tool@

Source Code
***********

Download the latest version of 'ax_prog_java_cc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java_cc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java_cc.m4).

License
*******

Copyright (C) 2008 Nic Ferrier <nferrier@tapsellferrier.co.uk>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_java_works
==================

Synopsis
********

     AX_PROG_JAVA_WORKS

Description
***********

Internal use ONLY.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_java_works.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_java_works.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_java_works.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javac
=============

Synopsis
********

     AX_PROG_JAVAC

Description
***********

AX_PROG_JAVAC tests an existing Java compiler.  It uses the environment
variable JAVAC then tests in sequence various common Java compilers.
For political reasons, it starts with the free ones.

If you want to force a specific compiler:

- at the configure.in level, set JAVAC=yourcompiler before calling
AX_PROG_JAVAC

- at the configure level, setenv JAVAC

You can use the JAVAC variable in your Makefile.in, with @JAVAC@.

*Warning*: its success or failure can depend on a proper setting of the
CLASSPATH env.  variable.

TODO: allow to exclude compilers (rationale: most Java programs cannot
compile with some compilers like guavac).

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javac.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javac.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javac.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javac_works
===================

Synopsis
********

     AX_PROG_JAVAC_WORKS

Description
***********

Internal use ONLY.

Note: This is part of the set of autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download the whole set, some macros depend
on other.  Unfortunately, the autoconf archive does not support the
concept of set of macros, so I had to break it for submission.  The
general documentation, as well as the sample configure.in, is included
in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javac_works.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javac_works.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javac_works.m4).

License
*******

Copyright (C) 2008 Stephane Bortzmeyer <bortzmeyer@pasteur.fr>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_javadoc
===============

Synopsis
********

     AX_PROG_JAVADOC

Description
***********

AX_PROG_JAVADOC tests for an existing javadoc generator.  It uses the
environment variable JAVADOC then tests in sequence various common
javadoc generator.

If you want to force a specific compiler:

- at the configure.in level, set JAVADOC=yourgenerator before calling
AX_PROG_JAVADOC

- at the configure level, setenv JAVADOC

You can use the JAVADOC variable in your Makefile.in, with @JAVADOC@.

Note: This macro depends on the autoconf M4 macros for Java programs.
It is VERY IMPORTANT that you download that whole set, some macros
depend on other.  Unfortunately, the autoconf archive does not support
the concept of set of macros, so I had to break it for submission.

The general documentation of those macros, as well as the sample
configure.in, is included in the AX_PROG_JAVA macro.

Source Code
***********

Download the latest version of 'ax_prog_javadoc.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javadoc.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javadoc.m4).

License
*******

Copyright (C) 2008 Egon Willighagen <e.willighagen@science.ru.nl>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_javah
=============

Synopsis
********

     AX_PROG_JAVAH

Description
***********

AX_PROG_JAVAH tests the availability of the javah header generator and
looks for the jni.h header file.  If available, JAVAH is set to the full
path of javah and CPPFLAGS is updated accordingly.

Source Code
***********

Download the latest version of 'ax_prog_javah.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_javah.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_javah.m4).

License
*******

Copyright (C) 2008 Luc Maisonobe <luc@spaceroots.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_masm
============

Synopsis
********

     AX_PROG_MASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the MASM assembler and sets the variable "masm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_MASM()
       AX_PROG_MASM([masm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_masm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_masm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_masm.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_masm_opt
================

Synopsis
********

     AX_PROG_MASM_OPT(option, var_name)

Description
***********

This macro checks if the MASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_MASM_OPT([/coff], [MASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_masm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_masm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_masm_opt.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_md5sum
==============

Synopsis
********

     AX_PROG_MD5SUM([ACTION-IF-NOT-FOUND])

Description
***********

This macro find a md5sum application and set the variable md5sum to the
name of the application or to no if not found if ACTION-IF-NOT-FOUND is
not specified, configure fail when then application is not found.

Source Code
***********

Download the latest version of 'ax_prog_md5sum.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_md5sum.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_md5sum.m4).

License
*******

Copyright (C) 2009 Gabriele Bartolini <gabriele.bartolini@devise.it>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_modprobe
================

Synopsis
********

     AX_PROG_MODPROBE

Description
***********

This macro searches for a modprobe command, such as can be found on
Linux systems with loadable kernel module support.  PATH is checked
first, then the default location(s).

This is one of several autoconf macros intended to assist in configuring
and installing loadable kernel modules.

Source Code
***********

Download the latest version of 'ax_prog_modprobe.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_modprobe.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_modprobe.m4).

License
*******

Copyright (C) 2008 Kaelin Colclasure <kaelin@acm.org>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_mysql
=============

Synopsis
********

     AX_PROG_MYSQL

Description
***********

Check for the program 'mysql' let script continue if exists & works pops
up error message if not.

Testing of functionality is by invoking it with root password 'rootpass'
and a 'SELECT * FROM user' SQL statement.  That SQL statement will
select all user information from the 'user' privileges table, and should
work on every proper MySQL server.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQL = which mysql

Source Code
***********

Download the latest version of 'ax_prog_mysql.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysql.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysql.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqladmin
==================

Synopsis
********

     AX_PROG_MYSQLADMIN

Description
***********

Check for the program 'mysqladmin' let script continue if exists & works
pops up error message if not.

Testing of functionality is by invoking it with root password 'rootpass'
and a 'flush-privileges' command.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQLADMIN = which mysqladmin
       MYSQL_DATADIR = directory containing mysql database

Source Code
***********

Download the latest version of 'ax_prog_mysqladmin.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqladmin.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqladmin.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqld
==============

Synopsis
********

     AX_PROG_MYSQLD

Description
***********

Check for the program 'mysqld' let script continue if exists & works
pops up error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       MYSQLD = which mysqld

Source Code
***********

Download the latest version of 'ax_prog_mysqld.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqld.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqld.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqlimport
===================

Synopsis
********

     AX_PROG_MYSQLIMPORT

Description
***********

Check for the program 'mysqlimport', let script continue if exists, pops
up error message if not.

Besides checking existence, this macro also set these environment
variables upon completion:

       MYSQLIMPORT = which mysqlimport

Source Code
***********

Download the latest version of 'ax_prog_mysqlimport.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqlimport.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqlimport.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_mysqlshow
=================

Synopsis
********

     AX_PROG_MYSQLSHOW

Description
***********

Check for the program 'mysqlshow' let script continue if exists & works
pops up error message if not.

Testing of functionality is by invoking it with root password
'rootpass'.  If it works, it should show all databases currently in
system.

Besides checking mysql, this macro also set these environment variables
upon completion:

       MYSQLSHOW = which mysqlshow

Source Code
***********

Download the latest version of 'ax_prog_mysqlshow.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_mysqlshow.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_mysqlshow.m4).

License
*******

Copyright (C) 2008 Gleen Salmon <gleensalmon@yahoo.com>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_nasm
============

Synopsis
********

     AX_PROG_NASM([ACTION-IF-NOT-FOUND])

Description
***********

This macro searches for the NASM assembler and sets the variable "nasm"
to the name of the application or to "no" if not found.  If
ACTION-IF-NOT-FOUND is not specified, configure will fail when the
program is not found.

Example:

       AX_PROG_NASM()
       AX_PROG_NASM([nasm_avail="no"])

Source Code
***********

Download the latest version of 'ax_prog_nasm.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_nasm.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_nasm.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_nasm_opt
================

Synopsis
********

     AX_PROG_NASM_OPT(option, var_name)

Description
***********

This macro checks if the NASM assembler accepts the given option.  If
yes, the option is appended to the variable 'var_name', otherwise
'var_name' is unchanged.

Example:

       AX_PROG_NASM_OPT([-f obj], [NASM_OPTS])

Source Code
***********

Download the latest version of 'ax_prog_nasm_opt.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_nasm_opt.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_nasm_opt.m4).

License
*******

Copyright (C) 2007,2009,2022 Bogdan Drozdowski <bogdro@users.sourceforge.net>

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_perl_modules
====================

Synopsis
********

     AX_PROG_PERL_MODULES([MODULES], [ACTION-IF-TRUE], [ACTION-IF-FALSE])

Description
***********

Checks to see if the given perl modules are available.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  Note if $PERL is not set (for
example by calling AC_CHECK_PROG, or AC_PATH_PROG), AC_CHECK_PROG(PERL,
perl, perl) will be run.

MODULES is a space separated list of module names.  To check for a
minimum version of a module, append the version number to the module
name, separated by an equals sign.

Example:

       AX_PROG_PERL_MODULES( Text::Wrap Net::LDAP=1.0.3, ,
                             AC_MSG_WARN(Need some Perl modules)

Source Code
***********

Download the latest version of 'ax_prog_perl_modules.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_perl_modules.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_perl_modules.m4).

License
*******

Copyright (C) 2009 Dean Povey <povey@wedgetail.com>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_perl_version
====================

Synopsis
********

     AX_PROG_PERL_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that perl supports the version indicated.  If true the shell
commands in ACTION-IF-TRUE are executed.  If not the shell commands in
ACTION-IF-FALSE are run.  Note if $PERL is not set (for example by
running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([PERL],[perl])
       AX_PROG_PERL_VERSION([5.8.0],[ ... ],[ ... ])

This will check to make sure that the perl you have supports at least
version 5.8.0.

NOTE: This macro uses the $PERL variable to perform the check.
AX_WITH_PERL can be used to set that variable prior to running this
macro.  The $PERL_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_perl_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_perl_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_perl_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.

ax_prog_pgclient
================

Synopsis
********

     AX_PROG_PGCLIENT()

Description
***********

This macro searches for a program called 'pgclient'.  If found the
variable $pgclient is set to its path.  Else it is set to 0.  An option
is added to the configure script for setting an search path instead of
$PATH ($pgclient_dir).  If pgclient is necessary for installing your
program, you can do something like the following to stop configure with
an error if pgclient wasn't found:

       if test "x$pgclient" = "x0"; then AC_MSG_ERROR([We need that to setup the database!]); fi

pgclient can be found at http://pgclient.freesources.org

Source Code
***********

Download the latest version of 'ax_prog_pgclient.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_pgclient.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_pgclient.m4).

License
*******

Copyright (C) 2008 Moritz Sinn <moritz@freesources.org>

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <https://www.gnu.org/licenses/>.

As a special exception, the respective Autoconf Macro's copyright owner
gives unlimited permission to copy, distribute and modify the configure
scripts that are the output of Autoconf when processing the Macro.  You
need not follow the terms of the GNU General Public License when using
or distributing such scripts, even though portions of the text of the
Macro appear in them.  The GNU General Public License (GPL) does govern
all other use of the material that constitutes the Autoconf Macro.

This special exception to the GPL applies to versions of the Autoconf
Macro released by the Autoconf Archive.  When you make and distribute a
modified version of the Autoconf Macro, you may extend this special
exception to the GPL to apply to your modified version as well.

ax_prog_python_version
======================

Synopsis
********

     AX_PROG_PYTHON_VERSION([VERSION],[ACTION-IF-TRUE],[ACTION-IF-FALSE])

Description
***********

Makes sure that python supports the version indicated.  If true the
shell commands in ACTION-IF-TRUE are executed.  If not the shell
commands in ACTION-IF-FALSE are run.  Note if $PYTHON is not set (for
example by running AC_CHECK_PROG or AC_PATH_PROG) the macro will fail.

Example:

       AC_PATH_PROG([PYTHON],[python])
       AX_PROG_PYTHON_VERSION([2.4.4],[ ... ],[ ... ])

This will check to make sure that the python you have supports at least
version 2.4.4.

NOTE: This macro uses the $PYTHON variable to perform the check.
AX_WITH_PYTHON can be used to set that variable prior to running this
macro.  The $PYTHON_VERSION variable will be valorized with the detected
version.

Source Code
***********

Download the latest version of 'ax_prog_python_version.m4'
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=blob_plain;f=m4/ax_prog_python_version.m4)
or browse the macro's revision history
(http://git.savannah.gnu.org/gitweb/?p=autoconf-archive.git;a=history;f=m4/ax_prog_python_version.m4).

License
*******

Copyright (C) 2009 Francesco Salvestrini <salvestrini@users.sourceforge.net>

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.  This file is offered as-is, without any
warranty.